+------------------------------------------------------------------------+
|                             HISTORY.TXT                                |
+------------------------------------------------------------------------+
|                          SLASH'EM ver 0.0.7                            |
|               Super Lotsa Added Stuff Hack - Extended Magic            |
|                           A Nethack Variant                            |
| Courtesy of the Slash'EM development team with the efforts and support |
| of countless others, especially the slashem-devel mailing list.        |
|                                                             (1997-2004)|
+------------------------------------------------------------------------+
| Nethack is Copyright 1985-2003                                         |
|            By Stichting Mathematisch Centrum and M. Stephenson.        |
| SLASH'EM and NetHack may be freely redistributed.                      |
| See license for details.                                               |
+------------------------------------------------------------------------+

+-------+
| Index |
+-------+

1 - Yesterday's News
2 - Warren's storytime
3 - Warren's doomed agenda
	3.1 The Messy TODO/TOFIX List
	3.2 What's NEW
	3.3 Other Ideas

+-----------------------------+
| Section 1: Yesterday's News |
+-----------------------------+

ver 0.0.7E7F2 [December 4/2005] [Released by Ali]
-fixed bug 1232707: engraving with lightsabers
-fixed bug 1237780: gtk window port fails to build with gcc-4.0
-fixed bug 1239041: engrave dialog doesn't show lightsabers
-fixed bug 1231766: Food shown in Medical Kits
-fixed bug 1238060: grammatical error when burning through a door 
		    (Benjamin Schieder)
-fixed bug 1104713: Pet and Frozen food stores can charge
-fixed bug 988827: Monster wearing CoI left invisible corpse
-fixed bug 934078: Mold "wiggle" out of bag
-fixed bug 933587: One-Eyed Sam referred to as "it"
-fixed bug 1240794: Pets don't grow up properly
-fixed bug 1240799: Steed ridden onto poly trap polymorphs permanently
-fixed bug 1243904: chameleon as statue trap
-fixed bug 1223226: Some creatures are missing horns
-fixed bug 1223222: Female Bulls??
-fixed bug 1244470: shopkeeper don't have shotgun
-fixed bug 215062: no black color
		   Extends videocolors option, see Guidebook for details.
-fixed bug 1244468: different spitting venom when polymorph
-fixed bug 1179557: Found egg marked (laid by you)
-fixed bug 1206099: Torches are not extinguished with rust traps
-fixed bug 1294907: 'Raise Zombies' technique cannot raise dwarf zombies! (Xeno)
-fixed bug 1355972: Monsters Don't gain Drain resistance due to worn items!
		    (Xeno)

ver 0.0.7E7F1 [July 2/2005] [Released by Ali]
-fixed bug 1155634: charm spell or command undead spell invoke genocide
-fixed incorrect #ifdef resulting in compilation failure on ANSI only DOS builds
-fixed bug 1193070: Engraving with a wand of draining keeps illiterate
		    conduct (Nico Kist)
-fixed bug 924811: Fire vampires leave corpses
-fixed bug 1028948: casting stone to flesh on a gargoyle
-fixed bug 1213881: Lieutenants lack Firearms
-fixed bug 1212903: Int and Wis stats not correct (in obscure case)
-fixed bug 1175912: Deity-gifted pets should not attack like aligned unicorns
		    (Nico Kist)
-fixed bug 1205563: suppress_alert still says NetHack
-fixed bug 1157414: Do not "loose" faith
-fixed bug 1197822: necromancer zombie's hp
-fixed bug 1185759: Shopkeeper "looks at corpse" through wall

ver 0.0.7E7 [February 19/2005] [Released by Ali]
-Fixed build of proxy tests
-fixed bug 1071688: cannot compile on FreeBSD (termcap)
-fixed bug 1071623: Cannot compile on FreeBSD due to menucolor inclusion
-fixed bug 993420: Crashes when typing symbols on drop menu
-fixed bug 1087609: Some platforms fails to compile win/proxy/nhext.c
-fixed bug 1084366: ghoul queen don't has M2_FEMALE
-fixed bug 1066530: Fired/thrown items get new inventory letter when retrieved
-fixed bug 992244: Alt Gr key doesn't work
-fixed bug 1076125: Unsuccessful use of medical kits
-fixed bug 1076123: Vampires can eat white pills
-fixed bug 994993: when polying, you take off T-shirt after scales merge
-fixed bug 961914: Deep dragons should resist their own breath
-fixed bug 963344: Stat exercise effects calculated while polymorphed
-fixed bug 1097792: Duplicate message when hit by sleep gaze
-fixed bug 1065927: Should bars stop bullets?
-fixed bug 947009: Scroll of taming exercises skill in healing spells
-fixed bug 1077355: game crashes with: "panic monsndx - could not index monster"
-fixed bug 1098686: Restoring a mounted character wielding Sting can fail
-fixed bug 1105100: Escaping from pits by polymorphing into a mind flayer
-fixed bug 1107123: GTK Accepts any keypress as the default response to
		    question
-fixed bug 1110081: in_container() uses obj->quan after deallocatin obj
-fixed bug 1116877: Dereferencing freed memory when applying bags which explode
-fixed bug 951483: Wands of cancellation can be held in a bag of holding

ver 0.0.7E6F3 [November 13/2004] [Released by Ali]
-fixed bug 923003: Invisible mirrors can be applied
-fixed bug 916544: Wrong weight of corpses on Nightmare level
-fixed bug 947369: Crash when multiple wands explode
-fixed bug 950120: crash when wishing for Wallet of Perseus
-fixed bug 933365: wand of draining does not interrupt ctrl-run
-fixed bug 933379: weird behaviour with polyself into monsters like migo drone
-fixed bug 929546: Flaming spheres won't attack acid blobs
-fixed bug 951991: Reading spellbooks not safe for wizards
-fixed bug 914894: "Beautiful" gnome thief seduced female character
-fixed bug 918178: Double message "You are suddenly very hot/cold!"
-fixed bug 921810: Invisible books can be read (?!)
-fixed bug 934076: Dipping amnesia into amnesia gives water
-fixed bug 946306: do_look: bad glyph 3726 at (7, 16)
-fixed bug 929220: Prayer and chi healing
-fixed bug 946157: Water elementals created over lava on Flame mage quest
-fixed bug 946161: Bad message when two-weaponing against a rust monster
-fixed bug 946566: Partly eaten more nutritious while raising drained corpses
-fixed bug 946984: arch-liches are not MR_HITAS*
-fixed bug 949016: Draining a rotten corpse
-fixed bug 951439: Invisible Corpses and Ressurection
-fixed bug 941453: Grand slam against monsters needing +n weapons
-fixed bug 962515: Disarming fire trap doesn't use up water
-fixed bug 1001167: Is this a Gray Stone bug?
-fixed bug 992247: wolfname & ghoulname in default.nh doesn't work
-fixed bug 931679: Space Bar not working as rest
-fixed bug 912588: Molds stagger from your powerful strike
-fixed bug 962574: Display bug when setting OPTIONS=tiles:Small tiles
-fixed bug 1011313: SEGV using technique "raise zombies"
-fixed bug 1018229: impossible splitbill: no resident shopkeeper??
-fixed bug 1018447: Game crash when Hero with ball displace displacer beast
-fixed bug 1020983: Typo in doc/sources.txt (cloack)
-fixed bug 956891: Breeders are explosive
-fixed bug 1007127: diluted potion of water
-fixed bug 1010421: Thiefbane drains your levels even if you aren't hit
-fixed bug 976157: Dipping into !oAmnesia didn't use up potion
-fixed bug 982331: Can't name Cursed scrolls of teleport after reading them
-fixed some theoretical bugs thrown up by valgrind
-fixed bug 980258: Guidebook doesn't describe showdmg option accurately
		   (Andy Ruse)
-fixed bug 926202: Gnome thieves don't eat (Andy Ruse)
-fixed bug 926200: Dwarf thieves have M2_NOPOLY (Andy Ruse)
-fixed bug 962568: Mjollnir can't be thrown - code comment incorrect (Andy Ruse)
-fixed bug 1005587: Beholder killed by "it's" own gaze (Andy Ruse)
-fixed bug 1022460: [C343-8] The plural of Nazgul is Nazgul (Andy Ruse)
-fixed bug 1039689: malloc_consolidate hang after using cursed bag of holding
-fixed bug 1028955: Surgery technique doesn't work with polymorph
-fixed bug 1035356: God gave Deathsword to "human" character
-fixed bug 1024200: Problems about Thiefbane
-fixed bug 1024202: Dipping a loadstone into a potion of amnesia
-fixed bug 1038151: Power surge becomes permanent if lost
-fixed bug 1025486: Pets can't follow lvl telep from Blk Mkt
-fixed bug 1029750: Lycanthropes and eating wolfsbane while polymorphed
-fixed bug 1030725: Doppelganger liquid leap does not release from chain
-fixed bug 1032419: Eviscerate tech should not work while wearing gloves
-fixed bug 1055724: Raise Zombies gives tame troll
-fixed bug 1020980: Objects are forgotten when you search blind
-fixed bug 954414: pickup_thrown option includes some non-throw weapons
-fixed bug 937239: Wrong cause of death from exploding wands
-fixed bug 962572: Inventory item prints to console instead of chat buffer
-fixed bug 936167: Started with empty medical kit (Pasi Kallinen)
-fixed bug 934077: Wrote an invisible scroll (Pasi Kallinen)
-fixed bug 1015079: Spurious "it snatches the boulder" message (Pasi Kallinen)
-fixed bug 1062624: GTK Interface is not resizable
-fixed bug 931684: Inventory window behaving strangely

ver 0.0.7E6F2 [May 3/2004] [Released by Ali]
-fixed bug 910334: Vampire blood and foodless conduct
-fixed bug 924384: Inconsistency with shoggoth corroding items
-Macintosh: Include fix-level in about-box version
-fixed bug 924277: Monsters can retaliate against themselves
-fixed bug 925892: Vampire corpse on early bones level
-fixed bug 922320: Grenade thrown by soldier angered monster
-fixed bug 929873: Crash while reading spellbook off floor
-fixed bug 932788: Permanent inventory window not updated immediately
-fixed bug 932791: Permanent inventory window not closed immediately
-fixed bug 932800: [GTK] Changing hilite_pet from "more options" not immed.
-fixed bug 932801: [GTK] Changing hilite_pet from options not immed. honoured
-fixed bug 932816: Disabled radar window appears (but isn't updated) on startup
-fixed bug 932818: [GTK] Can't close main window before starting game
-fixed bug 932827: [win32] Session windows slowly creep right and down
-fixed bug 932832: [GTK] Can't cancel at "Who are you?" prompt
-fixed bug 932905: [GTK] Apparently random crashes
-NhExt: Added support for authentication (eg., for dgamelaunch)
-fixed bug 938859: Rate of fire affected by non-launcher weapon
-fixed bug 929876: Monsters can pass between Sokoban bars
-fixed bug 934073: Spurious "don't seem to harm" messages for Drow
-fixed bug 926829: Vampires "don't seem to harm" when draining levels
-fixed bug 939133: dmonsfree error after exploding /WoPoly
-fixed bug 911485: Monk techniques and vampire lords
-fixed bug 935175: monsters cheating to use polearm
-fixed bug 938871: Izchak does not appear
-fixed bug 938864: Bad message when using flurry and limiting shots
-fixed bug 931200: Gnolls in Gnomish Mines

ver 0.0.7E6F1 [March 20/2004] [Released by Ali]
-fixed bug 909623: Surgery technique causes crash
-fixed bug 909397: Windows help|about twice crashes
-New branding for MS-Windows native GUI port
-fixed bug 907789: "The poisoned runed dagger was poisoned!" (Nico Kist)
-fixed bug 908187: Excessive prompts when reading graffiti (Nico Kist)
-fixed bug 910891: Overly terse description of bones/save file compatibility
-fixed bug 908983: "The large kobold turns into it!" (Nico Kist)
-fixed bug 911457: Macintosh dungeon creation not random
-fixed bug 912586: Crashes in Grund's Stronghold
-fixed bug 907565: Unidentified tin auto-ided when eaten
-fixed bug 908189: "The wererat turns into a wererat!"
-fixed bug 914897: Wrong AC displayed at start of game
-fixed bug 911335: Monster polymorph permanent?
-fixed bug 874318: Partly eaten food more nutrious than untouched food
-fixed bug 911845: "The poison was poisoned!" (Nico Kist)
-fixed bug 915683: Shopkeeper doesn't handle timed objects correctly

ver 0.0.7E6 [February 28/2004] [Released by Ali]
-fixed bug 876092: Wrong filename in message during build process (Clive Crous)
-fixed bug 876094: Tiles are miscoloured in allegro port (Clive Crous)
-fixed bug 876096: Tiles are misdrawn/cropped in allegro port (Clive Crous)
-fixed bug 510249: poisoned frag grenade (Nico Kist)
-fixed bug 873349: <artifact> should be at least expert. Fixing...
-fixed bug 878808: Build of gtkhack fails under win32
-fixed bug 872666: [0.0.7e4f1] Xorns + Sokoban = cake walk
-fixed bug 878813: GtkHack/win32: #portdebug crashes
-Mac: Update Install.mpw to require yacc/lex
-fixed bug 883643: Crash when throwing potions at monsters behind iron bars
-fixed bug 854779: Unknown tin auto-IDed as dog when eaten
-fixed bug 878951: [winnt] tiles32.bmp not in makefile
-fixed bug 879237: [winnt] stdout & stderr prints dont show
-fixed bug 879242: tile2bmp does not abort if no tiles created
-fixed bug 879243: [unix] nhtiles.bmp build info error in makefile.dat
-fixed bug 879244: tile2bmp draws stripes instead of checks
-fixed bug 878815: GtkHack: bad handling of text fields set via "more options"
-fixed bug 890801: two entrances to mines
-fixed bug 858838: Stake of Van Helsing mis-listed in score detail
-fixed bug 846930: [0.0.7E2]Strange msg order when swallowed by a poly'ed mnstr
-fixed bug 869958: GTK handling of unexpected game exits
-fixed bug 878816: Bad button label in "more options" confirm dialog
-fixed bug 878817: More options confirmation: No button does nothing
-fixed bug 878812: Duplicates in list of game commands
-Support gentoo configuration system
-fixed bug 901798: gtkhack 7E5 crashes if it can't write to cache
-Documented configuration for proxy servers
-fixed bug 908980: allgrohack crashes on startup

ver 0.0.7E5 [January 10/2004] [Released by Ali]
-fixed bug 854683: gtkhack produces many warnings on start-up
-fixed bug 846444: [0.0.7e3] Negative disarm skill
-fixed bug 583464: Uncharged use of spellbooks
-fixed bug 436054: Striking unusual monsters' vital organs
-fixed bug 731772: Two-weapon skill categorization
-GtkHack: Added provision for disabling asynchronous NhExt
-Merged vanilla 3.4.3 codebase.
-fixed bug 857644: Gnome: tty_raw_print should be removed
-fixed bug 857488: gtkprogress not handled in proxified build
-GtkHack: Added user-level logging
-fixed bug 858984: GTK: Dialogs don't open until after the next game command
-Gtk: Smother scrolling
-Gtk: Upgrade file display window to use GtkTextView instead of broken GtkText
-Gtk: Add facility to change font used in help windows
-Improved tile2png to use paletted images where possible
-Winnt: Add support for png tilesets and build them by default
-fixed bug 456453: Deep dragon resistances
-fixed bug 662821: magic candles burn in the candelabrum of invocation
-fixed bug 863646: Fails to compile under Gtk 2.0
-fixed bug 863679: GTK interface fails to build as an internal port
-Winnt: Use pkg-config in build (for Gtk+ and libpng) based on cc-gtk
-fixed bug 864193: Using Arrow keys in win32 GTK
-fixed bug 866750: The number_pad windowing API is not called correctly
-fixed bug 821864: [0.0.7e2] Recharge lightsaber loses enchantment
-fixed bug 790120: Wolf form can't hold Torch but can if already holding
-fixed bug 603184: Stacking explosives
-fixed bug 857651: Gnome: tileset refreshing
-fixed bug 567573: Killed lichen corpses don't merge
-fixed bug 575178: Fighting with a weapon and a bare fist
-fixed bug 869951: Random crashes shortly after restore
-fixed bug 870027: GTK: Closing main window has no effect until after next cmd
-fixed bug 870762: Lighting a candle from a stack lights the remainder
		   (Nico Kist)
-fixed bug 857492: gtkrc not removed by make spotless (Clive Crous)
-fixed bug 873593: runtime delta showweight doesn't reconfig status
		   (Clive Crous)
-fixed bug 788895: [X11] showweight option not supported (Clive Crous)
-GtkHack: Profile versioning

ver 0.0.7E4F1 [December 2/2003] [Released by Ali]
-fixed bug 852547: UNIX: make install can't find license

ver 0.0.7E4 [December 1/2003] [Released by Ali]
-fixed bug 782005: Menu generated which picking objects up should scroll
-GTK/proxy: Added caching of mapping between glyphs and tiles.
-Proxy: Add asynchronous support.
-fixed bug 821865: Invisible boulders in Sokoban
-fixed bug 821098: Eating Gargoyles "evil and fiendish" for Vamps?
-fixed bug 822137: Tin of Hand of Vecna meat
-fixed bug 831267: Weapon works offering no services
-fixed bug 817700: Vampires choked by rope golems
-fixed bug 811177: Fire Vamps not real vamps?
-fixed bug 822120: Star Vampires not vampires?
-fixed bug 808070: uhitm AD_DREN also produces AD_CALM effect
-fixed bug 806071: panic("obj_extract_self") when drawing blood
-refixed bug 790230: BUG: obfree() called on non-empty container
-fixed bug 841965: hallucinating vampire eats normal food
-fixed bug 843535: Disasm technique kills game
-fixed bug 846684: X11 port crashes on start-up in tile mode
-fixed bug 805499: Walking dead
-fixed bug 846662: UNIX Makefiles call for NetHack.ad instead of SlashEM.ad
-fixed bug 799278: "Finally Finished" when Turning Undead
-Merged vanilla 3.4.2 codebase.
-fixed bug 795549: IBM / ASCII graphics not working on Win XP

ver 0.0.7E3 [September 5/2003] [Released by Ali]
-fixed bug 781959: GTK: Message window auto-scrolling fails after a short time.
-fixed bug 781972: Proxified gtk crashes if run without a player's name.
-fixed bug 781974: GTK crashes when maximum magic power drops to zero.
-fixed bug 781978: GTK: Memory corruption in win32 (RtlFreeHeap).
-fixed bug 781991: GTK: Duplicate text windows.
-fixed bug 781994: GTK interface crashes on exit from a restored game.
-fixed bug 781997: GTK's concept of the initial value of number_pad is wrong.
-fixed bug 781998: No confirmation of exit when main window closed.
-fixed bug 782002: Gdk errors: window unexpectedly destroyed.
-fixed bug 454798: Program in Disorder - No door at (50,12).
-Macintosh: revise binary package
-Macintosh: add missing version resources
-Macintosh: make record and logfile read-only
-Macintosh: allow logfile to be deleted
-Macintosh: open Slash'EM when save files are double-clicked
-Macintosh: windows no longer disappear when Reposition is selected
-fixed bug 782004: Poor transparency in tiles imported from Mitsuhiro Itakura.
-fixed bug 603181: Problems with dynamite
-fixed bug 789073: pickup_thrown and bones
-fixed bug 790230: BUG: obfree() called on non-empty container
-fixed bug 782892: gtk startup problem when no tiles defined
-fixed bug 782881: NumPad doesn't work with gtk
-fixed bug 787697: GUI works, no tile graphics, just text
-fixed bug 782906: compiling fails when FILE_AREAS is defined
-fixed bug 793135: some broken text at completing flame mage quest
-fixed bug 795384: some typos
-fixed bug 793132: excessive magic by gnoll shamans
-fixed bug 793144: putting corpses in ice box
-fixed bug 789310: Lyc Rogues can't two-weapon
-fixed bug 731767: Tsurugi of Muramasa special attack inoperative
-Actioned feature request 783244: Add some/all of these new 32x32 tiles.
-GTK: Added visual feedback when selecting tilesets.
-GTK/proxy: Added caching of tileset data downloaded from remote servers.

ver 0.0.7E2 [July 5/2003] [Released by Ali]
-fixed bug 759709: Some orcs get unwarranted food.
-fixed bug 754921: won't compile pure gtk.
-fixed bug 653195: Level teleport out of Black Market.
-fixed bug 707053: Poly in shop causes crash.
-fixed bug 620074: Spitting #monster collapses dungeon.
-Proxy: Add md5sum callback to support file caching by external interfaces.
-Proxy: Fix minor syntax errors in ext_protocol.html.
-Proxy: Relax limits on buffer sizes to improve download speed.

ver 0.0.7E1 [June 2/2003] [Released by Ali]
-Actioned feature request 414274: Lazy yn_function().
-GTK: Added profile for saving eg., session data:
  [UNIX] stored in ~/.gtkhackrc
  [WIN32] stored in registry
-Actioned feature request 492518: resize inventory window.
-Actioned feature request 421535: shop keepers are too dumb.
-Applied patch 687552: Grund's stronghold.
-GTK: Ported to Gtk+ 2.2.x
-GTK: Replaced obsolete 1.2 interface with new 2.x version.
-Actioned feature request 487616: Put lightsabers under config control.
-fixed bug 733338: Crash when monster attacks an empty space (Rich Walker).
-Actioned feature request 454805: cloak of "poisonousness"?
-Actioned feature request 513881: Count Dracula/Vlad the Impaler race.
-Actioned feature request 538741: Multiple random place arrays.
-Actioned feature request 457867: <verbose armor name> blocks (Lars Huttar).
-Actioned feature request 459915: displacer beast appearance.
-Actioned feature request 422908: Flame Sphere+ water blast trap.
-Actioned feature request 616101: Cannibalism and Cavemen.
-Actioned feature request 513873: skill in Spell of Enchant <foo>.
-Actioned feature request 459902: YAFM suggestion: good vibes.
-Actioned feature request 709525: ki-rin are humanoid.
-fixed bug 729024: Sokoban dead end.
-fixed bug 617219: data.base has many redundant entries.
-fixed bug 604681: MR_PLUSONE etc unimplemented.
-fixed bug 734765: level-draining Thiefbane.
-fixed bug 737751: Thiefbane referred to as vorpal blade.
-fixed bug 466802: Items which count as magic.
-fixed bug 575210: Invisible mummy wrappings.
-fixed bug 405815: Invisible gold is inconsistent.
-fixed bug 609748: Elfrist should be PM_ORC.
-fixed bug 603179: Holy wafers in und.slayer starting inv.
-Proxy: Added window interface capabilities.
-GTK: Added preferences dialog.
-Actioned feature request 710544: Rename Fuzzy Spellbook.
-Actioned feature request 716698: rothe color is different from 3.4.1
-fixed bug 739987: impossible boolean condition.
-Actioned feature request 464475: recentering view with gtk: optional.
-Actioned feature request 421203: Mages' draconic polymorph.
-Updated tilesets to use latest version of Mitsuhiro Itakura's tiles.
-Applied patch 467847 (updated): Prettier GTK buttons & status highlight.
-GtkHack: Added connections dialogs.
-fixed bug 731418: #twoweaponing?
-fixed bug 742693: Cannot read engravings without spending a turn.
-GtkHack: Connections are now stored in profile.
-GtkHack: Now reads local config file & uploads to proxy server.

ver 0.0.7E0 [April 1/2003] [Released by Ali]
-Actioned feature request 575146: Improvements to gypsy fortune messages.
-All situations where a monster flees now generate a message.
-Merged Sam Dennis's more intelligent autocomplete patch
-Merged Roderick Schertler's held status flag patch
-fixed bug 603350: Display layers: floating glyphs missing
-Actioned feature request 520961: Specifying lamplit flag in level files
	(Pasi Kallinen)
-Merged Pasi Kallinen's whetstone patch
-Merged Malcolm Ryan's Torch patch
-Merged Pasi Kallinen's coloured menus patch
-Actioned feature request 538738: Random placement regions (Pasi Kallinen)
-fixed bug 603180: Armed and unarmed grenades merge (Pasi Kallinen)
-fixed bug 689957: Security breach in slashem -s
-fixed bug 603555: DISPLAY_LAYERS when hero_memory reset
-Merged vanilla 3.4.1 codebase.
-Actioned feature request 595646: Pasi's alternate Medusa and Sokoban.
-Actioned feature request 536690: return pickaxes to 1handed.
-Actioned feature request 494753: Restore probability of PYEC invocation.
-Actioned feature request 422158: so painful to read, etc. from inventory.
-fixed bug 704203: Finishing off drained corpse.
-Actioned feature request 563965: Reduce gypsy wishes.
-Actioned feature request 594639: Monsters which should be bloodless.
-fixed bug 230857: Wrong location given for death.
-Removed test dungeon (A Short but Boring Road).
-Finished implementation of potions of blood and changes to medical kits.
-Merged DOS and UNIX source distributions.

ver 0.0.6E8 [January 24/2003] [Released by Ali]
-fixed bug 233901: Gtk-Critical errors from gtk_main_quit.
-Proxy: Implement proxified GTK interface.
-Proxy: Add formal versioning of NhExt standards.
-Proxy: Add support for callback extensions.
-Merged Scott Bigham's blocked boulder patch
-Merged Sam Dennis's extended wizard-mode ^V command
-Merged Roderick Schertler's pickup thrown patch
-Merged Dylan O'Donnell's rumors of mail patch
-Merged Eric Wright's and Dylan O'Donnell's #vanquished patch
-Merged Aardvark Joe's record kept conducts patch
-Added compile time option to disable bones files
-Merged Malcolm Ryan's enhanced alchemy patch
-Merged Pasi Kallinen's dungeon growth patch
-Merged Nephi's grudge patch

ver 0.0.6E7 [December 6/2002] [Released by Ali]
-Lethe: Treacherous pets; Cthulhu revivification; monsters use of potions of
	amnesia & wands of cancellation; reflecting golems (Darshan Shaligram).
-Implemented gtkhack, a Gtk 2.0 external window interface for UNIX and win32.
-add support for multiple routes through the dungeon
-Lethe: Special rooms (Darshan Shaligram).
-Proxy: Switch to buffered I/O to remove packet length limitations.
-Proxy: Implement sub-protocol 0.

ver 0.0.6E6 [September 13/2002] [Released by Ali]
-Implemented "none" as a possible random place in level compiler.
-fixed bug 500833: Spellbook learn.
-fixed bug 456805: Baby dragons don't grow up.
-fixed bug 531179: Beheading when invulnerable.
-fixed bug 499439: Fireballs don't explode on hitting you.
-fixed bug 528174: having shopkeepers enchant daggers crash.
-fixed bug 499055: Bug in power-draining trap.
-refixed bug 459699: Oops. add_to_billobjs: obj is timed.
-applied patches 457587, 457592, 457593 & 457601: Building with Makefile.nt
-fixed bug 524758: #borrow on pets exercises dexterity.
-fixed bug 525461: Can't compile without UNPOLYPILE.
-fixed bug 479068: Bones can contain guaranteed artifacts.
-fixed bug 479067: Bones can contain aligned nemeses.
-Implemented NhExt sub-protocol 1.
-Proxy: Added support for callbacks.
-Proxy: Add display inventory callback.
-Proxy: Add dlb callbacks.
-Proxy: Add redraw callbacks.
-Proxy: Add status mode callback.
-Proxy: Add option callbacks.
-fixed bug 468049: Ronin should be removed.
-Implemented first cut at display layers.
-Merged vanilla 3.4.0 codebase.
-New lawful quest (nightmare) level (Tina Hall).
-OS/2: Added support for big tiles to X11 port (Pekka Rousu).
-OS/2: Enabled use of lex and yacc by default (Pekka Rousu).
-fixed bug 552677: "ask before hidding peaceful monsters".
-fixed bug 537214: /oDig at earth Es should anger them.
-Macintosh: added support for Meta key
-fixed bug 562517: Can't wish for vampire blood.
-fixed bug 561043: "<mon> is suddenly moving faster" mesg.
-fixed bug 558228: Liquid leap should anger peacefulls.
-fixed bug 558229: Bad input in techinque menu.
-fixed bug 566538: zero payment in money2mon!
-fixed bug 566564: Monk breaking the vegetarian conduct.
-fixed bug 557603: Vanishing items on display.
-fixed bug 567591: Shooting through closed door.
-fixed bug 567598: Firing more shells than exist.
-fixed bug 562550: Blank graves on priest quest.
-fixed bug 558230: Sokoban penalty for liquid leap.
-fixed bug 570738: Tame arch-lich summons hostiles.
-fixed bug 571086: C340-29: couldn't place lregion.
-fixed bug 570756: Firing assault rifles takes no time.
-Proxy: Add get player choices callback.
-Proxy: Add is valid selection callback.
-Proxy: Add quit game callback.
-Proxy: Add display score callback.
-Proxy: Add doset callback.
-Proxy: Add get extended commands callback.
-Proxy: Add map menu cmd callback.
-Proxy: Add get standard winid callback.
-Proxy: Add support for display layers.
-fixed bug 575250: Priest creation crash
-Proxy: Add support for tilesets.
-Actioned feature request 457998: Inconsistencies in monster polymorph
-fixed bug 580276: Stoning polyed monsters leaves statue.
-fixed bug 576543: Wands of draining should boing!
-fixed bug 582459: High Lycanthrope
-Added Lethe monsters (Darshan Shaligram).
-fixed bug 583448: No apply with healtstone.
-Added new SDL/GL windowing port.
-Added spooky sounds to nightmare level (Tina Hall).
-fixed bug 542027: Drained corpse gets moldy (Darshan Shaligram).
-Added potions of amnesia and Lethe water effects (Darshan Shaligram).
-Proxy: Add support for mapping between glyphs and tiles.
-Proxy: Add support for mapping between glyphs and symbols.
-fixed bug 570743: Plane of water full of spider webs.

ver 0.0.6E5F2 [November 30/2001] [Released by Ali]
-Implemented NhExt XDR (low level protocol for proxy window).
-Implemented support routines for NhExt sub-protocol 1.
-Upgraded GTK 2.0 interface to support Gtk+ version 1.3.9
-Actioned feature request 455676: Invulnerability & casting without power.
-Actioned feature request 469036: Thiefbane should drain levels.
-fixed bug 457682: Steal from black market - militia gen.
-Actioned feature request 476860: No wishing for guaranteed artifacts.
-Actioned feature request 476867: Indestructable aligned keys.
-fixed bug 470314: Sting and Orcrist should be lawful.

ver 0.0.6E5F1 [August 31/2001] [Released by Ali]
-New messages when engraving with wand of draining.
-Partially implemented first cut of proxy window interface support
-fixed bug 424479: Dipping into potions of gain level.
-Full support for Kevin Hugo's aligned keys.
-fixed bug 436639: Polyself in the Black Market.
-Actioned feature request 454655: Fuzzy object and shopkeepers.

ver 0.0.6E5 [May 3/2001] [Released by Warren]
-Basic support for Kevin Hugo's aligned keys
-Basic support for GTK 2.0 (currently as a seperate window port)
-fixed bug 232030: GTK: Can't start in character mode.
-fixed bug 417384: Shopkeeper services.
-fixed bug 225227: Vampires start with food rations.

ver 0.0.6E4F7 [February 28/2002] [Released by Ali]
-Improvements to database (Lars Huttar)
-fixed bug 488069: Magic lamps/candles can't be turned off.
-fixed bug 488589: Burned-out lamps cannot be turned off.
-fixed bug 490478: obj_is_local.
-fixed bug 490405: Eating merged food still buggy.
-fixed bug 460578: Macintosh window mode broken
-fixed bug 486268: holy spear of light doesn't burn player.
-fixed bug 480578: Hellfire/Plague don't work for monsters.
-fixed bug 493892: messages for lighting dynamite, inventory (lit) indicator.
-fixed bug 499368: Dynamite causes crash after detonation.
-fixed bug 504740: Serpent's Tongue gives bad message.
-fixed bug 491808: leashed hostile creatures.
-fixed bug 493896: Bullets not used up when fired upwards.
-fixed bug 520950: Level generator doesn't support scrawls.
-fixed bug 520412: Level generator doesn't support toilets.
-fixed bug 490400: Riders and revivification.
-fixed bug 516027: dlb utility program crashes on query.
-fixed bug 513831: (armed) tag doesn't work for grenades.
-fixed bug 519441: "pack shakes violently" does nothing.

ver 0.0.6E4F6 [November 30/2001] [Released by Ali]
-fixed bug 453246: Genetic engineers attacking monsters.
-fixed bug 458121: Vanishing corpses in ice boxes.
-fixed bug 458085: Zap wands of healing at steed.
-fixed bug 457238: Flame mage quest text mixup.
-fixed bug 458093: Free action bonus against grabs too high.
-fixed bug 456794: "doppelgangen".
-fixed bug 458336: Rings of sleeping and sinks.
-fixed bug 456335: Can't wish for bat from hell.
-fixed bug 454129: Wrong weight of piles of meatballs.
-fixed bug 455393: Confusing shk credit messages.
-fixed bug 456137: Pets and Sam's portal.
-fixed bug 456803: Riding through Sam's portal.
-fixed bug 457683: Crash: lost gas grenades.
-fixed bug 462512: Tight loop in blessed genocide menu.
-fixed bug 462513: GTK: getline crashes on close.
-fixed bug 459396: crash when entering Sam's portal.
-fixed bug 457864: enlightenment & versus stone.
-fixed bug 459954: slight missing wall in spiders.des map.
-fixed bug 455563: Shopkeeper refers to mattock.
-fixed bug 420942: two entrances to mines.
-fixed bug 452172: Penalty for drowning pets.
-fixed bug 452130: Odd message when charming shopkeeper.
-fixed bug 461443: Frankenstein is vegan.
-refixed bug 437609: No Caveman quest artifact?
-fixed bug 459778: Fuzzy and non-fuzzy object merging.
-fixed bug 458130: More spiders should be web-spinners.
-fixed bug 467477: HSoL #invoke message incomplete.
-fixed bug 468235: Upgrading wooden harps causes oddities.
-fixed bug 465183: black mold has two attk's and speed 0.
-fixed bug 460122: upgrade code blocks alchemy.
-fixed bug 459699: Oops. add_to_billobjs: obj is timed.
-fixed bug 450234: GTK: Taking n items out of a bag.
-fixed bug 459878: cut_worm: no segment at (45,14).
-fixed bug 465188: Deathsword's special attack impossible.
-fixed bug 469519: Cannibal checks for potential pets.
-fixed bug 469533: Luck bonuses of fedoras.
-fixed bug 462046: compile error in qt_win.cpp RH7.1, Qt2.3
-fixed bug 453628: You are warned of undead.
-fixed bug 469034: Thiefbane doesn't decapitate.
-fixed bug 469764: Great Dagger ignores drain resistance.
-fixed bug 450138: compilation errors in Winnt.
-fixed bug 465181: silver mace sdam should be d6+1.
-fixed bug 458625: Potion effects from sinks crash.
-fixed bug 453100: Papyrus spellbooks.
-fixed bug 475774: Dipping into potion of acid message.
-fixed bug 469282: vampire race to vampire chat problem.
-fixed bug 458134: character does't fall after a dash.
-fixed bug 482191: m_useup() messes up weight.
-fixed bug 480638: Doomblade uses bad messages.
-fixed bug 469033: Artifact missile launcher bonuses.
-fixed bug 469529: Throwing unacceptable food at monsters.
-fixed bug 482204: wielded/quivered food.
-fixed bug 482201: Eating merged partly eaten food.
-fixed bug 470817: Problem learning foodtype form tin.
-fixed bug 482196: weight() for partly eaten objects wrong.
-fixed bug 480547: Storm Whistle isn't intelligent.

ver 0.0.6E4F5 [August 31/2001] [Released by Ali]
-fixed bug 420517: Yellow dragon scale mail.
-fixed bug 420519: Unicorn horns, sliming, and bad message.
-fixed bug 421136: engraving with wands of draining.
-fixed bug 420947: remembered map ignores transparency.
-fixed bug 421733: Monster on monster attacks.
-fixed bug 422154: passwall makes you "etheral".
-fixed bug 422161: player's demon summoning may cause crash.
-fixed bug 420545: Steed galloping while asleep.
-fixed bug 424455: Tame ghouls and shopkeepers.
-fixed bug 422157: twoweapon status not saved?
-fixed bug 422163: passwall and "carrying too much..."
-fixed bug 422155: sigil of discharge kills multiple times.
-fixed bug 423715: Candle of Eternal Flame is buggy.
-fixed bug 422540: Succubi interaction while unconscious.
-fixed bug 420941: inventory won't scroll.
-fixed bug 425997: Exploding wands of healing.
-fixed bug 422880: Sleep ray kills monsters? Bug?
-fixed bug 422153: inaccessible spells after first 52.
-fixed bug 424394: Summon Undead causes crash.
-fixed bug 423686: Steed resisting and hilite_pet.
-fixed bug 430975: "the the Dark Lord".
-fixed bug 431283: Sleeping monsters can evade disarm tech.
-fixed bug 433019: Shopkeeper rustproofing and corrosion.
-fixed bug 433694: Holy Spear of Light blasts Yeoman.
-fixed bug 433695: Wrong weight of old corpses?
-fixed bug 436049: Rogues striking twice from behind.
-fixed bug 436047: Can't polymorph into dwarf or gnome.
-fixed bug 436055: Altar stained with doppelgangen blood.
-fixed bug 436056: Cavewomen and amulets of change.
-fixed bug 437609: No Caveman quest artifact?
-fixed bug 437840: "The curate turns into a curate!"
-fixed bug 422165: Slow screen update on vaporizing boulders.
-fixed bug 423217: "Silent" grenade blasts.
-fixed bug 440005: Call a wand of polymorph.
-fixed bug 440052: Making Sam angry.
-fixed bug 440159: Doppelgangers and save/restore.
-fixed bug 443827: New monsters and eating.
-Added debugging for bug 420942: Two entrances to mines.
-fixed bug 450316: Sting isn't listed as poisoned.
-fixed bug 436375: X11 Text windows too small.
-Put lex/yacc files in separate folder in mac build
-Direct bugs to SourceForge not hurtley in mac build
-Merge mac patches into SourceForge sources
-fixed bug 454954: Stealing iron balls.
-fixed bug 452244: Command undead causes crash.
-fixed bug 454800: a hang in sink-drinking.
-fixed bug 450229: Tame solars drop Sunsword.
-fixed bug 450119: Ice mage quest text mixup.
-fixed bug 450460: The plural of drow should be drow.
-fixed bug 452167: Rust from toilet water.
-fixed bug 455511: Finishing off scrolls on restore.
-fixed bug 455390: rogue quest message.
-Restore original NetHack copyright date in readme.txt
-Change strchr back to index in role.c
-Don't create 600-byte automatic in makedefs.c
-Support Mac build with Guidebook in doc directory
-fixed bug 453083: Vecna doesn't always leave his hand.
-fixed bug 455346: onbill: unpaid obj not on bill?
-fixed bug 456459: Weak steeds can jump into poly traps.
-fixed bug 425541: 'Blink' hobbit tech doesn't do anything.

ver 0.0.6E4F4mac0 [May 13/2001] [Released by Paul]
-built Mac 68K port
-fix bug: version garbled in Mac About box
-fix bug: crash selecting Help/Options/Macgraphics
-fix bug: Guidebook not displayed when selecting Help/Help/Guidebook.
          For now, only the first 10000 characters are displayed

ver 0.0.6E4F4 [May 2/2001] [Released by Ali]
-fixed bug 404825: wands of teleportation that explode/zapped at yourself
-Integrated Mac port
-Subverted setguid check in GTK+ version 1.2.9 and above
-fixed bug 405091: Contact poison corrodes greased gloves.
-fixed bug 409695: Bad fruit after polymorph.
-fixed bug 409699: Falling polymorphed objects cause crash.
-fixed bug 409906: No eucalyptus leaves from trees.
-fixed bug 409694: Polypiling instability.
-fixed bug 409984: Off-by-one error in coyote naming.
-fixed bug 410588: Caveman quest artifact non-existant.
-fixed bug 410583: Polymorphing spellbooks loose charges.
-fixed bug 410582: your foo seems less fuzzy.
-fixed bug 410402: Unpolymorph only remembers previous form.
-fixed bug 407857: Some wizard-mode commands don't work.
-fixed bug 409196: (DOS?) display bug with & command.
-fixed bug 409905: Drow don't recognize droven objects.
-fixed bug 405649: Messages about unseen pet's activities.
-fixed bug 411278: "Couldn't place lregion...".
-fixed bug 411282: arrow traps can't poison?
-fixed bug 411279: New demon lords won't wait.
-fixed bug 411340: Some racial intrinsics are missing.
-fixed bug 412250: Shopkeeper uncursing and Necromancers.
-fixed bug 412251: Shopkeeper charging and spellbooks.
-fixed bug 409198: underwater vampires.
-fixed bug 411277: strange charging messages.
-fixed bug 413366: Couldn't eat fortune cookie.
-fixed bug 413243: eating amulets of flying.
-Tweaked winnt makefile to make Win2K build easier for Ali.
-fixed bug 413537: Expensive camera malfunction.
-fixed bug 414101: Crash when asking for Help at prompt.
-Preliminary work on bug 405663: Port internal malloc to win32 platform.
-fixed bug 414291: GTK/win32 hide_privileges.
-fixed bug 227942: Crash when picking up a stack of objects.
-fixed bug 414674: Crash when walking over items.
-fixed bug 414673: Crash with exploding rings and wands.
-fixed bug 414152: W32 interface: directions.
-fixed bug 411280: Dragon Caves full of babies.
-fixed bug 415213: Yeenoghu touch of death.. bug?
-fixed bug 412289: Spellbook charging abuse.
-fixed bug 413966: Colours in map style ignored.
-fixed bug 418310: handling of vampire mage corpse.
-fixed bug 419866: Qt: Can't load "rip.xpm".
-fixed bug 419867: Gnome: Couldn't load required xpmFile.
-fixed bug 419918: X11: Map resize confusions.

ver 0.0.6E4F3 [February 28/2001] [Released by Ali]
-DOS VGA and Allegro videosystems now compile with REINCARNATION not defined
-fixed bug 127211: Pet vampires leave corpses partly eaten.
-fixed bug 127798: Eating a wraith corpse while polymorphed is buggy.
-fixed bug 128019: Player can eat corpses which are underwater.
-fixed bug 130386: Unused candles merge with partly used ones.
-fixed bug 130263: Polymorphing into a new version of yourself seems buggy.
-quick fix for bug 130857: Wrong location given for death.
-fixed bug 130957: Zapping wand of healing angers peaceful monsters.
-added FIXMEs for two bugs relating to wands of (extra) healing.
-fixed bug 131665: Wrong cause of death when cursed wands explode.
-added FIXME for bug relating to cause of death from magical explosions.
-fixed bug 132026: Transparent tiles: not updating when fountains dry up.
-fixed bug 128018: Frag grenades explode in water.
-fixed bug 132405: Increasing Intelligence.
-fixed bug 132521: #version lists the Qt windowing system twice.
-fixed bug 132163: Special properties of items show up while hallucinating.
-fixed bug 132033: GTK/win32: Esc not working.
-fixed bug 132029: Pseudo 3D tiles not suitable for menu images.
-fixed bug 132027: PgUp and PgDown not supported in scrolled menus.
-fixed bug 132818: Monster detection and hilite_pet.
-fixed bug 132819: Charged for wrong corpse in shop.
-fixed bug 132028: Unnecessary vertical spacing in GTK menus.
-fixed bug 133159: GTK: tile/description mapping is being lost.
-fixed bug 133666: Gdk-Critical errors.
-GTK: improved move & fight key handling.
-fixed bug 124233: Win: messages are drawn on top of each other.
-Integrated changes to cmdhelp from Mac port.
-Fixed a number of prototype problems.

ver 0.0.6E4F2 [December 30/2000] [Released by Ali]
-DOS: Allegro window port adapted to display the ground underneath walls
	(vidalleg.c)
-Win32: binaries now compiled with the Oct/2000 build of Win GTK libs
-fixed bug 122396: Bottom line slow to refresh.
-fixed bug 122397: "Eating" an inedible corple leaves it partly eaten.
-fixed bug 122966: Dwarf's rage technique should not heal as well.
-fixed bug 122999: Can't wish for The Key of Chaos.
-fixed bug 121596: GTK widget options reverting after "more options".
-fixed bug 123287: AllegroHack based tileset is out of date.
-fixed bug 124048: Antimagic traps not displayed when monster triggers them.
-fixed bug 124049: Missing "a" in magical explosion message.
-fixed bug 121723: Dialog boxes appear at the mouse pointer.
-fixed bug 123175: Vampire over-indulgement crashed game.
-fixed bug 124232: windows GTK port unable to load savefiles beyond level 1.
-vampires no longer allowed to be flame magi.
-fixed bug 123468: Inconsistent messages engraved on headstones
-fixed bug 123387: slashem-0.0.6E4F1-1 can't locate tiles for X.
-fixed bug 124064: gtk/win32 port can't display non-ASCII chars.
-fixed bug 124069: gtk/win32: Inventory screen non-closeable.
-fixed bug 123915: Bags of holding can be identified by weight.
-fixed bug 124967: Pick axe ceiling.
-fixed bug 124070: GTK port doesn't support variable width map fonts.
-fixed bug 124168: Win: Repaint after mode change.
-extended SHOPTYPE wizard mode control.
-fixed bug 123490: Drained lichen corpses?
-fixed bug 125230: Wrong weight displayed for gold in bag of holding.
-fixed bug 125472: slashem-0.0.6E4F1-1 source RPM fails on RedHat 7.
-extended heap monitoring under LINUX
-plugged some leaks for bug 124143: Win Version - Slowdown/Hangup/Memory leaks?
-fixed bug 126097: Misleading "You can't polymorph at will yet" message.
-fixed bug 123491: Extra messages when lycanthropes eat wolfsbane.
-fixed bug 124968: Vampires, helms of opposite alignment, and prayer.
-fixed bug 117420: Gauntlets of Power not functioning properly.
-fixed bug 121595: REINCARNATION defined but not supported.
-fixed bug 124920: GTK: inv_weight slow update.
-fixed bug 125228: Priest: attack spells should be at least skilled.
-fixed bug 126037: Manpage is outdated.
-fixed bug 115064: WINNT: RNG seed problems.
-fixed bug 113620: hilite_pet uses colour even if colour is off.

ver 0.0.6E4F1 [November 10/2000] [Released by Ali]
-GTK: status window stats columns should never be too small
-GTK: deactivated the unimplemented Fight command
-GTK: made the menus able to "tear-off"
-GTK: move menu works with num_pad TRUE
-GTK: message window now word wraps
-GTK: mesage window takes up all available horizontal space minus that of status bar
-GTK: map window takes up all available vertical space minus status bar/message bar
	space
-GTK: MP/HP bars are initialized to black at startup
-GTK: Default map size is now 50% of screen rather than 66%
-GTK: Screen automatically centers
-GTK: Scrollbars now disappear when map screen is large enough
-GTK: Added two more common monospaced Windows Fonts for the map
-GTK: Replaced NH_WIDTH and NH_HEIGHT in gtkmap.c with ROWNO, COLNO
-fixed bug 113053: gnome windowing port now supported
-fixed gnome multishot bonus (dothrow.c) and show_damage ability (hack.c)
-removed unnecessary "uncursed" tags for necromancer role (to match priest)
-GTK: Added graphical glyphs to the menus, switched in winGTK.h
-GTK: extended commands via menus work again.
-upgrading enhanced arrow types (elven, ya, dark elven) arrows results in 
	an arrow, not a bow (potion.c)
-saving/restoring now only enables the [...] effect in tty
-berserk technique now takes time to "recharge" like most other techs
-archeologists can become skilled at matter spells (was basic)
-fixed bug 115271: nhwin.a should be deleted by make clean
-fixed bug 115347: Guidebook incorrect re. reading engravings and conduct.
-fixed bug 113621: GTK port now supports 3D tileset.
-fixed bug 113813: Update tileset.
-fixed bug 115554: Primal roar technique can cause crash.
-fixed bug 115292: Better grammar in draining blood message (vampires).
-fixed bug 115380: Avoid critical GTK errors from status bars.
-fixed bug 114401: GTK port is no longer dependant on TTY port.
-fixed bug 115301: Discovery list now has a scrollbar and menu images.
-fixed bug 115348: Dwarf thieves "seduce" players of same gender.
-fixed bug 115656: Player can start with ring of sleeping.
-fixed bug 115471: Shopkeepers mistakenly think items are fully identified.
-fixed bug 115837: Double "your" in messages.
-fixed bug 115475: Eating identified tins should add to eaten memories.
-fixed bug 115657: Encumber messages during initialization.
-Win32 GTK port uses the new tilesets
-fixed bug 113618: Can now specify tile sets in configuration file.
-fixed bug 116500: #monster no longer panics if lycanthrope in normal form.
-Allegro DOS port verified to use the new tilesets
-Allegro: scroll_lim read properly from config file
-fixed default tileset declaration in decl.c
-fixed bug 115821: Molds grow from corpses underwater.
-fixed bug 115598: Gtk-WARNING if you kill the "more options" window.
-fixed bug 115765: Inappropriate messages when corpses go moldy.
-fixed bug 115297: Vampires can feed off monsters without penalty
-Vampire feeding revamp:
 ATTACKS
	-biting living monsters gets appropriate penalties/benefits
	-don't bite monster if it would lead to death
	-drain lifeblood (6 nutrition points per HP drained)
	-does not count against conduct
 EATING
 	-now multi-turn occupation
	-corpses marked as (partly) drained
	-can continue draining if blood hasn't coagulated
	-can't drain partly eaten corpses
	-Vampire race gets 20% chance of cpostfx()
	-Vampires are exempt for cannibalism penalties.
-fixed bug 116403: Pets can follow you into the Black Market.
-fixed bug 116356: Lighting one of a stack of candles is buggy.
-fixed bug 116587: Molds can have HP above their max HP.
-fixed bug 117371: Wands of create horde should auto-identify.
-fixed bug 116266: Grenades carried by monsters set HP to 2d5.
-fixed bug 117480: Amulets versus stone last forever.
-fixed bug 115210: Kiii technique can be used again immediately.
-fixed bug 119758: Various interactions of moldy corpses and ice.
-fixed bug 115764: Attempting to eat inedible corpses should not affect conduct.
-fixed bug 117663: Weight of partly eaten corpses wrongly displayed.
-fixed bug 117483: Lycanthrope's berserk behaviour doesn't work.
-fixed bug 115779: Bottom line doesn't show all information.
-fixed bug 114768: GTK character mode doesn't support IBMgraphics.
-fixed bug 121216: Crashes when kicking a stack of objects.
-fixed bug 116922: Bug with vampire race and self-polymorph.
-fixed bug 115780: Missing messages when grenades explode.
-fixed bug 115908: Spurious "the" in messages about invisible mplayers.
-fixed bug 119480: Error: Tech already known (berserk).
-fixed bug 121719: Options in defaults.nh are not supported?
-fixed bug 115822: Elves are peaceful to drows.
-fixed bug 119856: GTK port takes a turn to set options.
-fixed bug 114646: Role-selection broken.
-fixed bug 122139: GTK interface doesn't support FILE_AREAS.

ver 0.0.6E4F0 [September 15/2000]
-changed some checks in tech.c to use DEADMONSTER()
-updated Guidebook
-fixed bug 112478: game crashes whenever the Amulet of Yendor is referred to
-fixed bug 112489: #twoweapon while no secondary weapon seg. faults
-fixed bug 112520: game crashes when beams reflect diagonally
-the ')' command now prints varying messages depending on twoweap status
	and mentions empty hands if needed. (invent.c)
-Monks starting with the sleep spell no longer get warnings on startup (u_init.c)
-the "use #quit to quit message" only occurs if you comment out suppress_alert
-time before next use shows up in wizard mode tech menu (tech.c)
-added the use of technique limit breaks.  When HP drops below 10%,
 there is a random chance each turn that you are in LIMIT mode. In limit mode,
 all your known techniques are useable (even the ones usually Not Prepared)
 (tech.c)
-fixed bug 112553: GTK interface failed to compile
-fixed bug 112554: UNIX/VMS default config file was wrong
-fixed bug 112566: Qt port 3.3.1 integration was broken
-fixed bug 112616: Dazzle in a direction with no adjacent monster crashed
-fixed bug 112545: Gnomish mines generated without stuff
-Removed X11 dependencies from GTK port (switched in winGTK.h)
-fixed bug 113031: Qt port did not support showweight option
-fixed bug 112789: GTK port now supports perm_invent option
-fixed bug 113396: X11 port was crashing when displaying rip.xpm
-fixed unlogged bug: X11 port wouldn't compile if USE_XPM wasn't defined
-fixed bug 113523: Couldn't compile if UNPOLYPILE not defined
-fixed bug 112108: can now select between human and hobbit archeologists
-fixed bug 112614: rage eruption no longer drains energy
-fixed bug 112616: dazzle no longer causes segfault, has limited range
-integrated changes from Allegrohack 1.5
-fixed bug 113366: GTK: Checking your scores before starting a game panics
-fixed bug 113947: can't compile without #define FIREARMS
-alpha compile of win32 with gtk windowsystem.
	-prompts for name (gtk.c) 
	[possibly change to be more general than just WIN32?]
	-win32 port uses different fonts (but can't draw walls properly :P)
-GTK: barebones error checking before destroying window widgets (gtkmenu.c)
-GTK: directional dialog works with number_pad true
-GTK: hitting 'enter' while in a yn dialog chooses default choice

ver 0.0.6E3F1 [August 21/2000] [Released by Ali]
-fixed some bugs in the zap/cast code for magic missile, fire, cold, fireball, etc.
	-tmp_at was being called incorrectly (new tmp_at handles nested tmp_at calls)
	(zap.c, explode.c, display.c)
-changed all the file names in global.h to be prefixed with NH_
	(DATAFILE, HELP, RECORD, ORACLE, RUMOUR, etc.)
-changed #define FILENAME (macconf.h, pcconf.h) to FILENAMELEN since FILENAME 
	is #defined by dir.h, used by Allegro WIP
-fixed dereferencing NULL pointer when monster throwing items
	(mthrowu.c)
-did the uppercase for conflicting races - TODO: Reimplement F. Theoderson's 
	selection system or something similar while maintaining current 
	capabilities (wintty.c)
-fixed status bar in Allegro modes when screen Height was not 480.  Initial 
 status bar was drawn correctly, but updates were incorrectly printed.
	(wintty.c)
-cleaned up the DOS makefile to allow easy building of TTY+VGA+Allegro binary
	(makefile.gcc)

ver 0.0.6E3F0 [August 12/2000]
-Nethack 3.3.1 Integration Preliminary done
	-flag.h - remove possibly unused vars initrole, etc...
	-changed position of TREE ...
	-eating tripe rations may have problems
	-uwep_skill_type returns P_TWOWEAPON for u.twoweap
	-increase penalties for two weapon combat
	-possible light source not removed problem in bhit() (zap.c)
	-*.rej files left over from incomplete merging of the diffs
		(i.e. the non-trivial changes)
		-notably all the system/window ports I can't compile myself
-technique power surge == rage for energy
	-tempered rage technique to give less HP bonus
	-given to flame mages, necromancers, ice mages,  wizards and monks
-monk technique - blitz, ground slam, pummel
	-can chain together various techniques to do more damage
	(tech.h, tech.c)
-vampire technique - dazzle
	-vision based freezing of an enemy (depends on relative level of tech
		and enemy) (tech.c)
-should be able to #twoweapon in polymorphed forms (wield.c)
	-can now get 6 attacks if #twoweapon and a marilith
-new ghoul, ghast, larva 32x32 tiles from Andrew Walker
-can now take screenshots in 8-bit color mode (vidalleg.c)
-you can now force 3d tile drawing (so you can resize the tiles to 32x32 and still
	draw in 3d mode) (alginit.h)
-substitute tiles are now resized correctly for 3D mode
	(no more giant female priests) (alginit.h)
-reduced memory consumption for the minimap ;) (alginit.h)
	(80x24 pixels, not tiles :)
-preliminary support for 2xSaI - thanks to Kreed for source code
-prevented some unnecessary screen mode changes in the Allegro code
-silly bad merging with werewolf summoning brethren code (polyself.c)
-fixed a bug with help of someone whose e-mail message got lost
	-raising zombies no longer causes odd domination messages (tech.c)
-some modifications that enable better graphics mode switching
-Integrated AllegroHack 1.4 tiles and code
-hopefully fixed incorrectly crediting player for monster thrown grenades
	(explode.c)
-some types of partially identified objects weren't recognized as not fully 
	identified by shopkeepers (shk.c)
-cancellation of mind flayers no longer disables their brain eating (mhitu.c)
-quaffing potions of gain energy no longer allows current energy to go above max
-DOS binaries now building with DJGPP 2.03
-Some modifications courtesy of JRNieder
	-additions/rearrange rumours.tru/fal
	-cleaned up commenting in pcvideo.h, makedefs.c
	-added comment when building allegfx.h (file is obsolete) (txt2bmp.c)
	-cleaned up makefile, made it easier to config (makefile.gcc)
-moved status bar manipulations out of botl.c and into vidalleg.c, wintty.c
-removed exclamation point in "you are celibate"
-when you are a vampire and you get hit by a polymorph beam you become a vampire
	bat (polyself.c)
-sanity checks for repeat_hit, no repeat_hit chain ever goes above 10.
	(cmd.c)
-lose berserk status when you retract your claws (tech.c)
-can no longer purify oneself with sprigs of wolfbane when a werewolf
	-causes hp loss, etc but you are still a werewolf
-updated credits with Jonathan Nieder (for icon in win32 exe and more I don't 
					remember :)
-basic 8bit color mode support
	-known issues - fade out on death doesn't work properly
	-various color blending problems
-all the files in the tiles directory are now 8-bit
-updated rog_fem.bmp in tiles/subs from allegrohack 1.31
-fixed vampire bite attacks drinking from golems, undead
	(drinking from other vampires is still ok)
	(eat.c, uhitm.c, mhitm.c, mhitu.c)
-monsters attacking other monsters only get less hungry during drain life attack
	only if attacker is a vampire, defender has blood
	(mhitm.c)

ver 0.0.6E2F1 [July 2/2000]
-zap.c mtmp->mtame dereference without check fixed (courtesy of r.r.g.n)
-merged in allegrohack 1.3 tiles 
	-(obj-alg.txt, oth-alg.txt, mon-alg.txt, makefile.gcc)
	-merge_colormap now does a fuzzy merge if there are too many colors
		-checks for the "closest" color
			-reduce the max of the pixel value differences
			-then minimize total of pixel valu differences
	*cmap remap the explosions
-magic candles are now the same as regular candles in 32x32 tilemode 
	(objse.txt)
-the slam??.bmp files are now 8bpp .bmp files as they use less than 256 colors
	(much smaller files!) (txt2bmp.c)
-vampires have 1/5 chance of having a corpse effect (gaining intrinsic, etc.)
	when drinking (eat.c)
-vampires who drink are no longer vegetarian, vegan (eat.c)
-auto checks for slam3d, slam32 and slam16 tiles
-nh2k tiles merged in (mon-2kmi.txt, etc.)
-3D tile support
	-xputg places the tiles properly
	-clipping, minimap, cursor work modified to work properly
		-optimized xputg 
	-overview mode not available with 3D tiles
	-walls that cover tiles are now drawn semi-transparent
	-fadeout on death centers properly (approximately)
	-swallowing works properly
	-explosion centered properly
	-uspellprotection works properly
	-spell_aura works properly
	-shieldeffect works properly
	*Optimize tile_subscreen to actual size
-allegrohack should work under pure dos (alginit.h, vidalleg.c)
	-fixed dereferencing null pointers in the init, xputg functions fixed
-fixed bug where slashem wouldn't load extremely large tiles due to progress
	bar being too big - progress bar is now completely screen size independent
	(alginit.h, vidalleg.c)
-started work on bmp2txt,  but that's probably going to be pretty hard
	-easier to use a bmp2gif program,  then use gif2txt
-merged in chnages from allegrohack 1.31 (minimap+hud combo mode) 
-idx2bmp.exe generates a "large bmp" from an index of smaller ones (idx2bmp.c)
-use textout without stretching to speed up traditional tile mode (vidalleg.c)
	-support "traditional mode"
	-redraws properly
	-seperate subscreen for tiles and text (alginit.h, vidalleg.c)	
-progress bar is now a fixed size (alleginit.h, vidalleg.c)
-alleg.cnf now supports specifying tile files, tile_width and tile_height
	(alleginit.h)
-vidalleg.c now supports (hopefully) any size tile (reasonably speaking)
-tile2bmp is now txt2bmp (since that is more accurate)
	-Now processes backgrounds properly on dragons and some other tiles 
-can now build a '32tile.bmp' that holds all the tiles simultaneously
-changed alleg_traditional(boolean) to the more informative alleg_screenshot()
-tile2bmp.exe creates the index, allegfx.h and *.bmp
	-select behaviour using -i (index), -h (header), -f (files)
	-no need to redirect output - all relevent output goes to files directly
-fixed tile2bmp.o not building automatically (depends on portio.h)
	(msdos/makefile.gcc)

ver 0.0.6E1F4 [June 21/2000] [Released by Warren]
-default (DOS) makefiles are set up to now build TTY-Allegro
-add in AllegroHack support (ifdef ALLEG_FX)
	-detect function now detects whether it is possible to enable Allegro
	-pcvideo.h contains prototypes
	-can now compile a binary that can use tiles VGA, tiles allegro and tty
	-video:autodetect and video:alleg enable allegro
	-video:vga enables the old tiles
	-no video:foo gives the tty interface
	-To compile ALLEGRO, enable it in the makefile and pcconf.h
	-basic support appears to be working after some minor alterations
		-src (botl.c, display.c, end.c, explode.c, spell.c, makefile.gcc)
		-msdos (alfuncs.h, alginit.h, alnames.h, loadfont.h, pckeys.c, 
			tile2bmp.c, vidalleg.c)
	-botl.c - why split the botl here? can it be done separately?
	-Need tiles in \sys\msdos\tiles as well as autogenerated tiles to create
		distrib
	-tile2bmp.c changed work with new tile code
		-uses magtile and txtmerge
		-all moving, etc handled in makefile
	-the following should no longer cause SEGFAULTS 
		(which drove me up a wall hunting down)
	 if not present
		-must have anethack.fnt in the gamedir (fixed)
		-must have tiles directory
		-must have all the monster, object, other tiles in the tiles directory
		-must have upt-to-date index in the tiles directory
		-must have other misc tiles (credits, etc) in the tiles directory
-mind flayer pet attacking you now becomes less hungry (mhitu.c)
-player polymorphed as koala can only eat eucalyptus leaves (eat.c)
-fixed bug where you don't use your kick attack on monsters when attacking 
	without a weapon (uhitm.c)
-vampires as player class
	-level drain== eating (uhitm.c, mhitm.c, mhitu.c)
	-drinking blood from corpses
		-need to eat the corpse within 5 monstermoves of the kill
		-takes one turn
		-you get 1/5 normal nutrition, but you can still eat the rest
		 if you poly into normal carnivore
		-same for pets (dog.c, dogmove.c)
	-bonus strength, charisma, dexterity, constitution, 
	-no bonus to intelligence or wisdom
	-high max strength, charisma, dexterity, constitution,  
	 normal max intelligence and wisdom
	-lower starting hit points,  but raises quickly
	-starts off with a -5 alignment penalty, -1 luck penalty
		(from original values)
	-is_vampire() macro now used (catches vampire bats)
		-not having a reflection (apply.c)
		-creating vampires (end.c)
		-take extra damage from stakes (mhitm.c, mhitu.c, uhitm.c)
		-afraid of altars (monmove.c)
-ghouls and ghast are carnivores 
	-when you poly into them,  you still get hungry 	
		(side effect of being carnivorous)
	-only eat old corpses - synchronized with dogfood (dog.c, eat.c)
-fixed possible bug in dogfood() for cannibilism (eating same letter class)
	-EDOG struct was used before checking has_edog
-not-so-preliminary work done on WinNT with GTK (src/winnt/makefile.gcc, tiletext.c)
	-I've gotten the tile creation code working, all that remains is getting the
		gtk window-port code working
	-seems that some X11 dependencies remain :P

ver 0.0.6E1F3 [June 13/2000] [Released by Warren]
-NH004 Fixed panic caused by monster summons failing. 
-fixed some corpses randomly reviving (mkobj.c)
-fixed spelling error - "bloodcurdling roar" (tech.c)
-toilets seen by ':' look command (invent.c)
-reworked the cost of #youpoly for the flame/ice mage
	(minimum level, energy)
	-no special armour:
		adult form  level 13 and 15 energy
		baby form   level 6 and 10 energy
	-scales
		adult form  level 6 and 10 energy
		baby form   level 6 and no energy
	-scale mail
		adult form  level 6 and no energy
		baby form   any level and no energy
-fixed bug in #youpoly where you broke out of your armour when you should have
	merged with
	(polyself.c)
-WIN32:  icon is now embedded into the exe
	makefile, slashem.ico in sys/share, slashem.rc
	Courtesty of Jonathan Nieder
-fixed bug where projectiles that are their own launcher 
	(spears, daggers) had incorrect range and rate of fire
	(dothrow.c)
	
ver 0.0.6E1F2 [April 23/2000] [Released by Ali]
-SE065 Fix broken FILE_AREAS support in GTK interface (Fred Richardson). 
-SE066 Put tile.o into a library for ease of configuration. 
-SE067 GTK niggles: yn_function confusion, showweight option, slower animations, setuid
-operation, gender buttons, !color support, segmentation faults, spurious gtk errors, score
	option, ... 
-SE068 Fix broken tinning code (Maciej Kalisiak). 
-SE069 Honour horsename option. 
-SE070 The adjective for the hobbit race is hobbit and not bobbit! 
-SE071 Fix database entries for Shelob and Stormbringer. 
-SE072 Provide Slash'EM specific example slashem.rc for X11 interface. 
-SE073 Don't give miss messages for weapons if you've chosen not to attack with them. 

ver 0.0.6E1F1 [April 23/2000] [Released by Warren]
-fixed a minor bug in tile thinning (DOS port affected only AFAIK)
	-a similar bug in the tile magnifying code is also present, but has no 
	 effect since currently tile width and height are the same
	 (magtile.c, thintile.c)
-now uses nhshare, nhushare for shared and unshared files (makefile, dlb.h)
-DOS now uses nhshare and nhushare instead of nhdat
-fixed a minor bug - if a monster is drained below zero energy, YOU lose max energy
	rather than the monster (trap.c)
-fixed a crash bug when monsters get power drained 
	-some RNG can't do RND(0)
	(uhitm.c, mhitm.c, trap.c)
-dipping a potion of acid while flying should no longer cause a crash
	-tried to useup() the potion twice (potion.c)

ver 0.0.6E1 [April 13/2000] [Released by Ali]
-SE040: Fix X11 interface Slash'EM/3.3 merge problems
-SE041: Use new format (3.3) record & logfile entries and understand old format
	(0.0.5) entries
-SE042: Fix bad error message when eggs hatch from pack
-SE043: No longer crashes when throwing darts, daggers etc. when not wielding
	a weapon
-SE044: New Qt interface (v2.0.0) from NetHack 3.3.0 
-NH002:	Add dialog on closing Qt interface main window
-SE045: Add GTK interface from JNetHack v1.1.4
-SE046: eraseoldlocks() now supports file areas
-SE047: Tiles can be displayed by the Qt interface at up to 64x64 pixels
-SE048: Add support for 256-colour tile sets
-NH003: Fixes panic/crash if polymorphed objects are placed in a container or
	are carried by a monster
-GTK002:Allocate read-only (shareable) colours rather than writeable ones
-SE049: Add support for Mitsuhiro Itakura's 32x32 tile set
-SE050: Installer can now choose which tile sets to build simply from the top
	level Makefile
-SE051:	Add support for tile sets other than 16x16 to Qt interface
-SE052:	Remove ROLE_PATCH configuration switch and fix duplicate entries for
	role, align and gender in the options list
-SE053:	Add GTK interface to the list of supported windowing systems produced
	by the #version command
-SE054:	Remove inappropriate references to "NetHack" rather than "Slash'EM"
-SE055:	Remove redundant include/Window.h and include/WindowP.h
-SE056:	Add ability to wish for visible objects
-SE057:	Upgrade GTK interface to version 1.1.5
-GTK003:Honour menu mapping options (eg., menu_select_all)
-SE058:	Seperate YEOMAN and STEED configuration switches
-SE059:	Don't compile redundant quests: Dopp, Dwarf and Elf and restore hobbits
-SE060:	Bring guidebook up to date
-SE061:	Upgrade GTK player selection for 3.3 codebase
-SE062:	Fix a number of niggles: nested comments, README.33, Qt in #version,
	obsolete pet name options, duplicate gender option, glyph confusion
-SE063:	Add Slash'EM specific commands to GTK menus
-SE064:	Remove redundant WEAPON_SKILLS configuration switch

ver 0.0.6E0 [January 15/2000]
-fixed a fairly significant saving bug.  (restore.c)
-Mingw32 compiled version.   No mail capabilities.
-incorporated SE033, SE034, SE035, SE039
-cleared up some molding problems (theoretically) (do.c)
-stores will always have at least one service (shknam.c)
-the "HD" of your assumed lycanthropic form depends on your experience level
	(botl.c, polyself.c)
-you now suffer silver damage, etc. if your race is werewolf in human form
	and also when you get infected (but still in human form)
	(u_init.c, polyself.c, restore.c, mhitu.c, were.c)
-reimplemented Blink (allmain.c)
-kicking green mold no longer causes damage to weapon (dokick.c)
-redid the technique code - rage eruption no longer causes massive HP loss when
	you have speed ;) (tech.c, timeout.c)
-fixed up odd race/role combinations (eg. elven necromancers) (role.c)
-fixed bug involving drinking potions of (foo) healing when at max HP (potion.c)
-mindless monsters aren't afraid of attacking higher level opponents (monmove.c)

ver 0.0.5E9 [January 6/2000]
-fixed a bug involving Drows, Doppelgangers gaining levels
-Remove obsolete references to uhpbase, uenbase
	-removed extra energy bonuses from classes and races!
-elves are now lawful/neutral, drows are chaotic
	-drows start with dark elven bows, arrows
	-most elven equipment is now wooden
-fixed skills for casting spells (no more crashing as well)
-changed charging of spellbooks so that they crumble rather than explode
-incorporated the new wintty.c code from Finn Theoderson
	-modified to use it also for race selection
-statues no longer rot
-wizard mode identify and mapping should work as expected
-Yeomen don't start with a saddle (it's already on their pony)
-reenabled KEEP_SAVE and SCORE_ON_BOTL
-fixed up sokoban level names in dungeon.def.  Had to increase LEV_LIMIT from 50 
	(made it 99) since there were too many special levels!
-fixed up dungeon.def with new sokoban
-undead slayer is now before valkyrie on role selection list
-fixed "invisible invisible" objects
-fixed doubled options - pushweapon, role, gender, align, autoquiver, pickup_burden
	-pickup_burden should work like it does in vanilla

ver 0.0.5E8 [December 20/1999] [NH330 integration version!]
-hobbits should now be races... 
-fixup quest artys - artilist.h
-change 
	/* #define foo /* remark */ 
	to 
	/* #define foo */ /* remark */

-oddity - u.umonnum is set to your ROLE not your race.  Which makes checks to 
	youmonst.data (which is set to &mons[u.umonnum] when !Upolyd) give odd
	results when checking for whether you are a were (or an elf, a dwarf...)
	-should make u.umonnum = your race monster number (fixup affected code)

-made race selection do the uppercase lowercase thing to resolve clashes
	(doppelgangers vs dwarves)
-doppelgangers have been added
	-fixed doppelgangers changing back to normal form
-amulets of unchanging should no longer polymorph
-moved around M2_WERE to allow for lycanthropes
-weapon enchantment helps in #forcing chests
-Mantle of knowledge disabled...
-termcap.h is now tcap.h
-fixed difficulty in generating vampires with opera cloaks under WinNT
-fixed explosion bug
-fixed minor problem with file areas

ver 0.0.5E7 [November 30/1999]
-setting twoweapon without a secondary weapon while having greasy hands caused a 
	crash - fixed :)  (wield.c)
-polymorph untameable - then make tame?
-use mfnpos to set allow_m for mon to mon attks? (only doable when you're not nearby)

-should now be able to restore while mounted on a steed. (restore.c)
-monsters now have energy:
	-mindless monsters don't have energy
	-monsters regenerate energy (dependant on level of monster)	
	-pets/others gain power along with HP
	-Pw shows up on probing
	-monsters use up energy when casting spells
	-affected by drain energy attacks, by magic traps and antimagic traps
-wishing for grenade, gun, firearm now gives out a random weapon of that class
-assault rifle now has 3 fire modes - burst, auto, single shot. Burst is 1/3 normal.
	-apply the rifle to change modes
-added stick of dynamite.  Has ~15 turn fuse.  Extremely strong explosion.
-There are now messages "Your foo blocks foo's attack", etc. for monster vs monster
  you vs monster, monster vs you (when verbose option is TRUE)
	(mhitu.c, uhitm.c, dokick.c, mhitm.c)
-You get the disarm tech when your ability in a combat skill reaches Skilled. 
	(weapon.c, tech.h, tech.c)
-monks get Chi Healing
	-converts chi (power) to health for a short period of time 
		(tech.c, tech.h, allmain.c, timeout.c)
-most "error messages" for techs no longer cost a turn 
	(unless information is given) (tech.c)
-Most spellcasters (except Necromancers) have a new tech - draw energy
	-gets energy from surroundings
	(tech.c, tech.h)
-Necromancers also detect bless/curse status of objects (invent.c)
-throwing a single item should no longer cause a crash (invent.c)
-incorporated variant of SE023.txt (being able to throw welded objects)
        (dothrow.c)
-now prompts if you only want to light a single candle rather than assuming you 
	want them all lit if several candles are merged (apply.c)
-fixed buglet involving dragged down stairs by an iron ball and having 
	quivered objects follow you 
-invoking Sunsword, Holy spear of light will burn nearby undead and demons 
	-causes 50% monster HP damage, no outright killing though.
	(artifact.c)
-stairs are bright white (to stand out),  unlit corridors are darker 
	(differentiate b/w lit/seen and unlit corridors)
	(Kelly Bailey)
-definitions from Dave and Edward Walker
-a little bit of randomness in the movement code
-prevent generation of multiple arkenstones (artifact.c)
-fixed problem with generating gold on Yeoman Quest Home (sp_lev.c)
-Kelly Bailey found out why the hitpoints weren't always being updated properly!
-molding.  Molds will tend to revive like trolls. ~50% chance of normal corpses 
	becoming "moldy" after a while.  Hopefully, this will act as "emergency 
	food" for beginning adventureres,  although most fungi cause 
	hallucination.  Could generate more shriekers == more purple worms.
	Let me know if resurrecting molds becomes perilous to adventurer's health
-removed debugging code in msdos.c
-ethic:  chastity.  Invalidated by encounters with *ubbi.
-Added an X11 workaround (SE022)
-Added Ali's workaround/ESC callable wizard menu,  fixed some obscure bugs
	    1. If a lycanthrope who is currently eviscerating (if
               that's a word!) attempts to apply a pick axe, which
               also happens to be his secondary weapons, then
               he will be allowed to dig even though he can't
               retract his claws. A segmentation fault may then follow.
            2. Dipping Sunsword into a potion of uncursed water will
               cause it to be used up while dipping a long sword will
               not.
            3. If you're mounted on a frozen stead while levitating
               or flying, time stands still for it unless you get off.
               Thus it will never respond.
-autoquiver looks for spears now 
	-rocks and like are not valid unless you have a sling
-dice rolling counted separately for each weapon in 2 weapon combat
	-all known problems with 2weapon offhand artifacts have been dealt with 
		AFAIK
	-PLEASE let me know if there are any more issues to deal with ;) Warning
		has been removed
-throwing grenades/bullets up/down results in regular throwing, not firing the gun,
	arming the grenade, etc...
-Fixed game getting caught in an infinite loop when wands wands of digging are 
	caused to explode by wands of lightning AND you fall down a level.
	Game kept trying to save the same light again and again and...
	(light.c)
-Monks get a new Tech Chi Strike - for a couple turns,  you get extra hand to hand 
	dmg (this is dependant on how much power you have left)
-vampires now get opera cloaks ;)
-grenades now have a small timeout before exploding
	-partial implementation of remote explosions
		(drop grenade, leave level, come back later)
		-Let me know if odd messages happen when you come back
	-apply arms a grenade
	-can't put armed grenades in containers
	-grenades armed when thrown
	-cursed may or may not arm, have more varied timeout
	-blessed exactly 3 turns 
	-uncursed slight variation (+-1)
	-direct hit == explosion,  otherwise timer takes over	
	-arming an unpaid grenade makes it yours (you're billed for it)
-added grenade launcher
	-fairly inaccurate (-3 to hit),  slow to reload (-3 penalty)
	-fires grenades
-One-Eyed Sam will get all those reinforcements he calls for... (shk.c)
-can no longer level teleport when riding a steed a steed that's carrying the amulet
	of yendor. Pretty sneaky trick ;) (teleport.c)
-TTY colormode - walls of gnomish mines, knox are brown, hell is red.
-code will compile again with FIREARMS commented out - I have to stop breaking this!
-DOS, VGA mode - now has a little "heart petmark" seen in X11
		-set hilite_pet to see it ;)
		-and now I know what a pain it is to program video adapters ;)
-tech:  
	Blink for Hobbits
		freezes all monsters for a short period of time.
	Rage Eruption for Dwarves - 
		You gain hp and maxhp,  but it all bleeds off one pt/turn at a time
-Finn Thoederson - fixed up monsters coming out of toilets
-Karl Gerrison - fixed some prototyping/type buglets.  Win32 compile!
-fixed mistake involving putting some but not all of a wielded/quiver/secondary 
	object into a container.  (Eg.  putting 5 out of 10 cursed wielded arrows
	into a bag results in two entries of 5 cursed arrows -  both wielded!)
	(pickup.c)
-lightsaber "melting through" door now has correct finishing statement 
	(lock.c)
	(thanks marvin!)
-someone on the newsgroup (lost your name!) mentioned that a period is missing from
	cancelled spitters...
	(dothrow.c)
-fixed buglet that was miscalculating strength of an object when prying open doors,
	causing crashes (lock.c)
-fixed possible bugs with monsters firing slow firearms 
	(shotgun, rocket launcher, sniper rifle)
	(mthrowu.c)
-monsters will toss grenades (weapon.c)

ver 0.0.5E6 [October 25/1999]
-all polymorphed objects will now revert unless "fixed"
-fixed bug where you got many more objects after polypiling
-can now wish for Ogresmasher (I'm not really sure if you'd ever WANT to, but 
	that's another question entirely ;) (objnam.c)
-the foobane weapons will cancel with a dieroll of 2 or 3 (artifact.c) [Adam Clarke]
	includes:  Orcrist, Elfrist, Ogresmasher, Werebane, Dragonbane, Thiefbane
		Demonbane, Trollsbane, Giantkiller
-Ralf Engels - added more special cases of extra dmg  (weapon.c)
	-polearm vs flyer
	-cutting worms
	-piercing blobs
	-slashing jellies
-can use counts in the throw command object prompt to control # of projectiles thrown,
	can use count directly on the fire command to do the same
	-ie 
		"n 1 f" will fire 1 arrow
		"t 3 a" will attempt to fire 3 of item a
		"3 t" will still go into 3 consecutive throw prompts 
			(should this change to act the same as fire?)
-gas, frag grenades added
-Added (Thanks J. Ali Harlow ;)
    SE007: Window resize code fixed 
    SE008: Linux colour problems solved 
    SE009: Incompatability between X11 port and GNU libc removed 
    SE010: Fix monsters' multishot ability bug 
    SE013: Now compiles with YEOMAN commented out 
    SE014: Better error message if non-XPM tile file cannot be opened 
    SE015: X11 port without tiles no longer causes divide by zero -finished removing remaining spell skill errors on startup by giving Dark Elves
	specified spellbooks.
-master mindflayer, mindflayer recognized as alternate spelling of mind flayer
-added auto shotgun, assault rifle, sniper rifle
	-these,  like most of the specialty weapons, are VERY expensive
	-need to be balanced, most probably
-added rocket launcher
	-okay,  this thing weighs a TON (750) .  Plus rockets (200).
	-Big ouches for getting hit.  (d45/d60).  
	-Rockets explode for 6d6 dmg
	-captains might carry
-added heavy machine gun.  Monsters should use guns properly.
	-Monsters were throwing (?!) bullets even though message said "fires"
	-Heavy machine gun has -4 to hit,  but eats ammo like a house on fire ;)
	-Higher ranking soldiers may carry the heavy machine gun
	-bimanual.  Weighs a bit less than a chest (500)
-Qt compilation instructions included,  minor bugfixes (Ralf Engels)

ver 0.0.5E5 [October 18/1999] 
-shopkeep code - Black market has all shopkeep services
-fixed nasty little sacrifice blessing error 
	-thanks to Bruce Cox,  who somehow hasn't been mentioned in this file yet?!
	==>BTW, if you've ever submitted something and aren't mentioned here, bug me!
-shocking/freezing/flaming spheres are now M2_NOPOLY
-ring of polymorph control will resist polymorph
-fixed Elf starting spellbooks
-kicking objects at monsters should no longer cause seg faults
-should compile with FIREARMS commented out
-fixed tilemap.c exclusion code 
-fixed monster multiwep firing code
-frozen steeds really won't move anymore!

ver 0.0.5E4 [August 14/1999]
-patches for linux
-will stop twoweapon if you wield a bimanual tool
-reworded some of the twoweapon stuff
-fixed bugs with untrapping rust traps
-untrapping fire traps with water into potions of oil. Oil will explode.
-updated makefile.nt - winnt should build properly ;)
-can no longer force without weapon
-rust trap disarming into fountain should work properly
-option menu_on_esc - show menu on hitting esc?
-all liches are now g_nocorpse
-can now untrap rust traps to fountains
-fixes to wintty.c, winmap.c
-confused steed will move randomly, frozen/sleeping steed won't move 
	(when you're riding)
	(hack.c)
-wallet of perseus no longer #name-able

ver 0.0.5E3 [July 27/1999]
-removed some floating point math operations (spell.c,  mhitu.c)
	-monster with weapon missing
	-failing to cast a spell so Blackmarket has all services
-fixed drinking off floor - used to be you could only drink off the floor 
	when floating above it!
-doc/guidebook.mn fixed typo slash'emoptions -> slashemoptions
-util/levcomp.l now has a %n of 1000 
-sys/unix/makefile.dat now compiles the hobbit.des
-objects.txt has been cleaned up ;)
-can no longer light potions of oil underwater
-golems no longer regenerate.  Now have 2x the HP to compensate. 
	(monmove.c, makemon.c)

ver 0.0.5E2 [July 18/1999]
-OOOPS!  Forgot to remove the debugging code that put lightsabers in all the 
	humanoids' inventories (for a while,  monsters wouldn't pick up lightsabers)
-shotgun, rifle added. Shotguns take shotgun shells, are short ranged, 
	do lots of damage, +3 tohit.  Rifles have longer range, +1 tohit.
-zruty has been moved to yeti (green)
-yellow jelly is now yellow
-Gnome technique typo fix - nible to nimble
-only quest artifacts are now blast for "wrong class"
-shopkeepers premium identify now fully identifies, basic only partial id (name only).

ver 0.0.5E1 [July 16/1999]
-#2weapon (ie #2) extended command (same as twoweapon, but quicker to type)
-showweight only does status line weight display
	, invweight does inventory/pickup weight display
-monsters that wield weapons now pick up weptools (muse.c)
-black mold no longer moves (monst.c)
-lit objects thrown down hallways have short-range light effects 
	(zap.c)
-Arkenstone luck working properly (artilist.h)
-monsters striking with non-weapons do piddle damage (1-2) (mhitm.c, mhitu.c)
-you know contents of tins you make yourself (eat.c)
-starving herbivores will no longer eat their own kind (dog.c)
-lightsaber code reworked
	-burn engraving only works with lightsaber on.
	-bashing messages
	-no more Force flowing business when wielding
	-lightsabers are now green,red, blue
	-apply to turn them on
	-deactivate when they hit the floor
	-deactivate after a turn if unwielded
	-lightsabers are a separate skill
	-damage has been increased - they all have the same average damage
	- -3 to hit,  one-handed 
	-charge lightsabers via scrolls of charging
	-red double lightsabers  -4 tohit,  double the dice damage of red lightsabers
		-can also be used in single blade mode 
			(same damage as red lightsaber, but tohit still -4)
	-cursed lightsabers may randomly deactivate,  harder to activate
	-can force chests with lightsaber (but you might end up cutting the chest 
		to pieces by accident ;)
	-#force command to open doors, walls
	-monsters wield and use lightsabers
-#force allows bashing/prying open doors with weapons (use . to force chests)
	-pickax will dig normally through walls/doors 
		(but can bash chests with #force)
	-axes can chop through doors
-minor lighting code cleanup (light.c)

ver 0.0.5E0 [July 07/1999]
-fixed minor pager printing bug -- Myers (pager.c)
-you no longer learn the contents of tins you discard (eat.c)
-sleeping unicorns don't catch gems (dothrow.c)
-spheres are now sleep-resistant (monster.c)

ver 0.0.4E9/E8 fixed [June 12/1999]
-Fixed the wand explosion bug AGAIN...typo broke the code again...(zap.c)
-only forced rehumanization should result in possible HP loss via exhaustion
	ie dopps should be able to consciously revert without substantial HP loss
	?? make this proportional? Cause hpbase burn ALWAYS on forced rehum?
-You as wax, straw, paper golems will burn (instead of rot) when hit by fire attacks.
	(msg error)
	Unchanging will result in death when in poly'ed golem form hit by 
	susceptible attack. (mhitu.c)
-genociding species while Unchanging, polymorphed into that species will kill you
	(read.c)
-wraiths will now leave corpses (monst.c)
-SLASH'EM now checks SLASHEMOPTIONS, then NETHACKOPTIONS, then HACKOPTIONS
	-will use whichever is defined in environment first
-hpmax now should never drop below 1.
-fixed up the wraith corpse eating code - Thanks to Chris! (eat.c)

ver 0.0.4E8 [June 6/1999]
-reworked a bit of the monster unpolymorph/polymorph code
	-fixed up monsters using traps, self using wands not calling new poly code
	-message order should be better for armour bursting, etc.
-fixed ifdefs for TOURIST, YEOMAN, FIREARMS
	- Thanks to Jake Kesinger!
-Added some CUA conventions
	-ctrl-Q quits
	-ctrl-S saves
-hitting 'esc' brings up the menu (for people who are panicking :)
	(cmd.c)
-cleaned up some code in uhitm.c to prevent some crashes when hitting with
	potions.  Boomerangs should now shatter properly when wielded 
	(uhitm.c)
-yet another attempt to patch the keep_save code.  Doesn't really work though...I'm 
	hoping this will stop the file bloat, but it causes lots of error messages.
	Might consider rewriting the keep_save routines completely instead of
	patching through the normal save routines...
-spellbooks should no longer always come with charges labelled :)
	(objects.c)
-Thanks to Christian Bressler/Marvin again :)
	-cleaner fix to wands exploding
	-no prompt for engravings if you're literate
	-fixed monsters in wall from exploding create monster wand
	-wand of striking affects objects again
ver 0.0.4E7 [May 29/1999]
-Added fixes from Christian Bressler
	-fixed tool selection code.  Using the '(' key to display tools, select
	tools, etc, works properly now.
	-liquify now displays error "cannot flow there" instead of jump there
	-god-given minions should attack properly now
	-correct range calculation for kicking an object off the top of a stack
	-fixed "You hear _an_ Asmodeus reading foo"
-artifacts are excluded again from the two-weapon code until they get fixed ...
	either only eliminate sentient artifacts,  or something :)
	(wield.c)
-removed the debugging code for the spellbooks...didn't hear any problems ;B
	(spell.c)
-fixed god revitalising (pray.c)
-killed by a telepathy detected monster will now show that the monster name 

ver 0.0.4E6 [April 12/1999]
-fixed up some linux related stuff.  Hopefully things will compile better now
-wands exploding via a lightning attack (external) will also call wand_explode
	(so be careful with those wands 'o cancellation when facing them zappy 
	dragons :)
-reading scrolls increases related spellcasting skill (objects.c, read.c)
-give out less pets - will now bless objects in your inventory (pray.c)
-zapping spell increases memory by 500 (spell.c)
-can use the n### command to extend study time up to 300 turns - extra study == 
	longer memory timeout (spell.c)
-spellbooks issued now correlate to basic skill in that spell type. (weapon.c)
-reading spellbooks "exercises" the skill.  (So even if you can't cast the spell,
	you can study to improve your skills) (spell.c)
-spellbooks now last for 30 full readings.  However,  they are now charged - lose
	a charge for every reading. Uncharged spellbooks can be read,  but take 2x 
	as long. (spell.c)
-no longer see monster name of corpses when hallucinating (objnam.c)
-should now work with WEAPON_SKILLS turned off 
-fixed getting strange neutral minions (minion.c)
-You get a 50% (+luck) chance of escaping a grab attack if you have Free Action
	(mhitu.c)
-stoning death messages corrected.  Is now back to "petrified by <foo> 
	(end.c, trap.c)
-revised the "extra message line" code. Hopefully,  bottom line updates more 
	reliably (wintty.c)
-time flag now works again. (botl.c)
-made the Necromancer's random spellbook more applicable (force bolt, knock
	magic missile, create monster, wizard lock) (u_init.c)
-will now contract the 1st bottom line such that you get to see some of your name
	-old bug from Nethack vanilla - try turning into a guardian naga hatchling
	(extern.h, wintty.c, botl.c)
-turn undead is limited to the classes that can actually turn undead :)
	(pray.c, tech.c, extern.h)
-larva can no longer open doors,  etc. (no more limbs,  now animal, slithy)
	(monst.c)
-potions hitting monsters thrown by monsters won't credit you for the kill.
	(potion.c, dothrow.c, extern.h, mthrowu.c,  uhitm.c)
-breaking wand of teleport will create a teleport trap 
	(wand needs more than 2 charges) (apply.c)
-shopkeepers are now level 24, AC -6.  One-eyed Sam has an AC of -8 now.
-you won't notice the effects of dipping objects in potions of see invis/invis if
	you're blind (potion.c)
-division by zero error fixed in monster throwing/polearm code (mthrowu.c)
-fixed vanilla Nethack bug where if you save more than 80 level files,  you get 
	lots of "bad curs pos" errors (since you went off the screen)
	(save.c, restore.c)
-forgot to put frnknstn in makefile.  Frankenstein level should be fine again :)
	(makefile)
-engraving counts as literacy (engrave.c)
-fixed a bug when your steed teleports without you,  and is "cloned" :)
	(teleport.c)
-fixed a silly bug that allowed monsters to not quite die when they should have 
	from scroll of earth (read.c)
-fixed some odd messages during practice (tech.c)
-all skills can reach Grand Master/Legendary/Wizard status. Restricted can be 
	promoted to Unskilled.  Of course,  doing such things takes lots and lots
	of practice... (weapon.c)
-tin smells - "smells like <specific>" when eaten before
	"smells kind of like <general class name>" sometimes when unknown
	"smells unfamiliar" rest of the time
	(eat.c)
-fixed the funny monsters shooting arrows without bow behaviour (weapon.c)
-bullets never "persist" -- always used up after fired (dothrow.c, mthrowu.c)
-using UPX 0.61 to compress DOS binary
-guns akimbo mode (ie. one handed ranged weapons are now handled). This uses the 
	'f'ire command,  and both weapons need to use the ammo in your quiver.
	If this breaks things,  I NEED TO KNOW!!!
	(dothrow.c, uhitm.c,  extern.h)
-made chests, large boxes, ice boxes two handed weapons (well, they're kinda
	bulky :)  (objects.c)
-most bows, etc. are now bimanual (objects.c)
-two weapon combat now calculates hits/misses for each weapon separately
	-artifacts are no longer excluded
	-no longer drop out of twoweapon when wielding new weapons
	(uhitm.c)
-submachine gun added.  Slightly heavier than the pistol,  but fires 3 bullets
	for each pull of the trigger :) 
	(dothrow.c, objects.txt, objects.c, mthrowu.c)
-cleaned up dothrow.c a bit ;)  All the indents should hopefully not be as off :)
-you are prompted whether or not to read the fortune after having the cookie
	-literacy updated properly now (eat.c)
-lances give +4 dmg bonus when used astride (weapon.c)
-changed the practice message to be "You cannot increase your skill in FOO" 
	since you can be restricted and try to practice,  etc. (weapon.c)
-silver hating monsters won't pick up silver things (noted by Chris Bevan)  (mon.c)
-fixed Axe of Durin giving error messages on use.  (artilist.h)
-shopkeepers use up credit before gold for services (shk.c)
-fixed rogue levels not being generated properly.  Level files were labelled
	Rou-XXXXX.lev instead of Rog-XXXX.lev (rogue.des)
-fixed Hobbit's eating hobbit corpses and not getting the aggravation (and eating 
	human corpses and getting aggravated!) and related bugs. Creation of
	#define is_hobbit (role.h, mondata.h)
-max_dlb_files is now up to 400 (dlb_main.c)

ver 0.0.4E5 [February 24/1999]
-Gnomish tinkering
-more upgrades
	-bows and arrows
		orcish  -> normal
		normal <-> elven or dark elven or yumi/ya
	-daggers - orcish -> normal -> (dark) elven <-> great
	-axe <==> battle axe
	-pickax <==> dwarvish mattock
	-short swords - orish to normal to dwarvish to (dark)elven
	-broadsword <==> elven broadsword
	-club <==> aklys
	-hammer <==> heavy hammer
	-elven mithril <==>  dark elven mithril
	-orcish chain mail <==> chain mail
	-leather jacket -> armour <=> studded armour
	-orcish/dwarvish cloak -> elven/oilskin 
		<-> protection/displacement/magic resist/invis
	-fedora <-> elven leather helm	
	-dented pot -> orcish helm -> dwarvish <-> telepathy/brilliance
	-dunce cap <-> cornuthaum
	-leather gloves <-> swimming/dexterity
	-orcish/Uruk-Hai shield <-> elven shield
	-large shield <-> dwarvish roundshield
	-low boots <-> high boots
	-large box -> chest  <-> ice box
	-C/K ration ->  food/cram ration <-> lembas wafer
	-loadstone -> flint <-> luckstone/healthstone
-more gun code
	-range is now 20 regardless of strength
-New artifact - crossbow named Hellfire (dothrow.c, artilist.h)
	-crossbow bolts hitting monsters will explode in a ball of fire 
	-Fire Resistance when wielded
-pet minions/angels won't attack minions/angels/priests of same alignment 
   (pet vs other) (dogmove.c)
-fixed the "infinite uses out of a wand" bug ;B (zap.c)

Aligned quests
  Coded and tested (4E5):
    Nightmare, the Beholder, and Vecna now have special quests.
  To do:
    Finish implementation of artifact doors.

Dwarf
  Coded and tested (4E5):
    Now includes the Dwarf Patch by Osku Salerma <osku@iki.fi>.

e gas spore
  Coded (4E5):
    The player is not blamed for pets killed by attacking
    gas spores.

& efreeti, dao, marid
  Removed (4E5):
    These existed purely as alternatives to djinn.  Since they
    were messing up the chance of a djinni, but have no substantial
    difference, they were removed.

Disenchantment
  Coded and tested (4E5):
    Objects can resist this attack.

Fire
  Coded (4E5):
    Most fire attacks will immediately destroy straw, paper,
    and wax golems.

Artifacts
  Coded and tested (4E5):
    Now start with nonzero charges (if appropriate).
    Artifacts have been balanced out among the alignments and roles.
    Added aligned quest artifacts (Eye of the Beholder, Nighthorn).
    Added Hellfire (WAC, chaotic crossbow).

kicking boots
  Coded (4E5):
    Kicking boots will always succeed at breaking doors.

Book of the Dead
  Coded and tested (4E5):
    Fixed a bug that displayed "a Book of the Dead" instead
    of "the Book of the Dead".

potion of restore ability
  Coded and tested (4E5):
    Objects destined to unpolypile can be #dipped to stop the
    process.

potion of see invisible
  Coded and tested (4E5):
    Invisible objects can be #dipped to become visible.

Wands
  Coded and tested (4E5):
    Fixed the inexhaustible wand bug.

Unpolypiling
  Coded and tested (4E5):
    Unpolypiling now works properly.
    Dipping in a potion of restore ability stops unpolypiling.

Now Y2K compliant!  (4E5)

Picking up an object from another square is "there", not "here".
(4E5)

Intrinsic AC (such as by protection) is now calculated properly.
(4E5)

Fixed a comment at the start of pray.c that incorrectly stated:
"if you're in Gehennom, all messages come from the chaotic god".
(4E5)

Fixed a typo in dgn_comp.y, check_level() that sometimes prevented
a valid dungeon file from compiling.  (4E5)

The record file is now closed properly upon failure.  (4E5)

weapon.c, enhance_weapon_skill() now properly initializes "any".
(4E5)

Pets won't pick up zero items.  (4E5)

Killing a glass golem won't crash the game.  (4E5)

Fixed some problems with exploding monsters.  (4E5)

show_dmg() has been centralized.  (4E5)

Gypsies and shopkeeper services use %ld in printf's.  (4E5)

False rumor (4E5):
  Beware of the little people.


ver 0.0.4E4 [December 24/1998]
-UPX is used instead of DJP as the executable compressor (makefile) - DOS port

Options
~~~~~~~
autoquiver
  Defaults to true.  (4E4)


Map features
~~~~~~~~~~~~
trees
  Coded and tested (4E4):
    "Digging" is now appropriately "cutting".
    Monsters don't leave rocks.

shopkeeper services
  Coded (4E4):
    Removed identify requirement for some services.
      [Requested by Nathan T Moore <nathan@cs.wm.edu>]
    Code clean-up; spelling and grammar fixes.


Roles
~~~~~
New role system (the "role patch")
  Coded and tested (4E4):
    The 26-letter limitation is now fixed.
    Replaced Role_is() with Role_if(), u.role with Role_switch.
    Quest level files and text upgraded to new system.
    Bones and record files upgraded to new system.

Barbarian
  Coded (4E4):
    Shouldn't get "Barbarian needs food, badly!"

Gnome
  Coded and tested (4E4):
    Now start with only 3 weapons (1 wielded + 2 ranged)
    instead of a half-dozen.

Hobbit
  Added (4E4).  Does NOT replace the Healer role.
  To do:
    Revise skills, quest locate level, quest messages.

Ice Mage
  Coded (4E4):
    Polymorph into white dragon (not blue).

Knight
  Coded (4E4):
    Some quest text is now appropriately delivered by window
    instead of by pline().

Necromancer
  Coded and tested (4E4):
    Start with wand of draining.

Yeoman
  Coded (4E4):
    More nemesis maledictions.
    Quest leader and guardian equipment.


Monsters
~~~~~~~~
z koala
  Coded and tested (4E4):
    "You calm down" only when appropriate.

I enchanted beast
  Coded and tested (4E4):
    Now works as it should.

L Vecna
  Coded and tested (4E4):
    You can now properly offer his body parts.

@ gypsy
  Added (4E4).


Attacks
~~~~~~~
Calm
  Coded and tested (4E4):
    "You calm down" only when appropriate.

Disenchantment
  Coded and tested (4E4):
    Armor cancellation factor applies.
    Removes positive enchantments from weapon/armor.

Kicking
  Coded and tested (4E4):
    Damage calculations are now more consistent with weapons.


Objects
~~~~~~~
Artifacts
  Coded and tested (4E4):
    The limitations to getting artifacts added by Stephen White
      are now #ifdef NOARTIFACTWISH, and are disabled by default.
      This means that getting an artifact through sacrificing
      or wishing is as likely as in vanilla NetHack.
    Added Plague (chaotic Drow dark elven bow).

amulet versus stone
  Coded and tested (4E4):
    Each time you are stoned, the blessing changes from blessed ->
    uncursed -> cursed -> turns to dust.

Polearms
  Coded and tested (4E4):
    Monsters can no longer use them through walls.

New skill categories
  Coded and tested (4E4):
    Riding skill.

kicking boots
  Coded and tested (4E4):
    Damage was too high.
      [Reported by Nathan T Moore <nathan@cs.wm.edu>.]
    Damage calculations are now more consistent with weapons.

Spellbooks
  Coded (4E4):
    Now last 20 000 turns, up from 5000.
    [Requested by Dave <mitch45678@aol.com>.]

spell of drain life
  Coded and tested (4E4):
    Rewrote code.
    Now affects objects.

spells of flame/freeze sphere
  Coded and tested (4E4):
    Attacking peaceful monsters makes them angry.

ring of indigestion
  Coded (4E4):
    Nausea frequency decreased to every 100 to 199 turns.

wand of draining
  Coded and tested (4E4):
    Hits monster or player: Drains level, if not resistant.
    Hits object: Removes enchantment/charging, but leaves
      blessed/cursed status and other properties intact.
    Cost $175, probability 15/1000, "ceramic".
    Monsters know how to use it.

saddle
  Coded and tested (4E4):
    Riding skill.
    You can reach the floor at basic riding skill.
    Your steed can now be attacked at close range, and will
      attack back.
    Traps, pools, and wounded legs are now properly handled.

fishing pole (weapon-tool in polearm category)
  Coded and tested (4E4):
    Large/strong monsters have a chance of pulling you in.
      [Idea by Aaron <aaron@iphc.washington.edu>.]
    Sinks and toilets have effects.

unicorn horn
  Coded and tested (4E4):
    blessed:  Tries multiple problems, each with chance given below.
    uncursed: Tries one problem, with chance given below.
    cursed:   Causes one problem.
    ENCHANT  +0 or less  +1   +2   +3   +4   +5   +6 or more
    CHANCE       30%     40%  50%  60%  70%  80%     90%


Internal changes
~~~~~~~~~~~~~~~~
end.c, done() had references to the wizard flag without bracketing
them in #ifdef WIZARD.  (4E4)

zap.c, cancel_item() had missing cases for gauntlets of dexterity
and for several variant objects.  (4E4)

Enlightenment now properly reports being very fast.  (4E4)

Fixed a Macintosh bug that would crash the entire system with a
bus error if there was a bad option in the Slashem Defaults file.
(4E4)


Rumors and Help
~~~~~~~~~~~~~~~
True rumor (4E4):
  You can't get gold from a gypsy.


ver 0.0.4E3 [November XX/1998]
-techniques - replaces special class effects (cmd.c)
        (dothrow.c, timeout.c, tech.c, tech.h, makefile, u_init.c, uhitm.c,
                cmd.c, mhitu.c, allmain.c, spell.c, wield.c)
        -access using Meta-t,  or #techniques
        -turn undead is now a technique (Priests and Wizards start with it)
    -Current tech allotments:
        Research (A), KIII (S), Healing Hands (K), Surgery (H),
        Reinforce Memory (FINW), Berserk (B), Practice (UV), 
        Psycho Slash (L), Missile Flurry (E), 
-Sigil of Tempest shouldn' crash anymore...(spell.c, zap.c)
-you only recognize tin types which you've eaten the corresponding corpses
    (eat.c)
-added poison blast explosion tiles, poison blast discharge/tempest modes
    (spell.c, zap.c)
-Frankenstein's monster now makes an OLD corpse (mon.c)
-Doppelgangers can usually only polymorph into foes it has already eaten.   
    You can try  others, but there's a good chance (esp. at lower levels) 
    that you'll fail.
    (cmd.c, polymorph.c)
-flag for whether type has been eaten
    (decl.h, decl.c, eat.c)
-New Techs:  gave Monks Ward against burning, against ice, against lightning
    instead of intrinsic resists.
    If you want the resist "permanently",  you'll need to wear stuff...
-added a hallu message for casting endure cold (spell.c)
-made monster/object unpoly messages a bit more generic. (mon.c, timeout.c)
-can drown, etc. when monsters cast create pool on you ;B (mcastu.c)
-fixed zapping drain life on yourself.  I don't recommend it though... (zap.c)
-Added Robin Johnson's glass, gold, wax golems
-Added Acid Explosion,  and Discharge/Tempest varieties working 
    explosion glyphs by Robin Johnson
    (drawing.c, rm.h, explode.c, zap.c, spell.c)
-Added Dr Frankenstein,  genetic engineers,  Frankenstein's Monster co: Robin 
    Johnson
-New Level:  In Gehemmon, there is now Dr. Frankenstein's Lab. co: Robin Johnson
-New Tech:  Revivification: Healers get this at level 20 - can revive a corpse!
    (costs 100 HP) (tech.c, tech.h, invent.c)
-Ice Mage def'n from Drew Curtis
-New Tech:  Raise Zombies: Necromancers can transform corpses into 
    zombies.   Must be humanoidish to work (tech.c, tech.h)
-Necromancer starting spell is now Drain Life
    (need I mention that drain life - NEW SPELL - has been added :B)
    causes HP loss (some) and level drain 
    (zap.c, objects.c, objects.txt, spell.c)
-minor compile error fixed for shops (mkroom.h)     
-spells that get bonus duration from skill
    -resist poison, resist sleep, endure cold, endure heat, insulate
-fixed Mojo to be one-handed again.  Double checked the mythological version
    and the handle wasn't quite finished. [Heiko Niemeier] (object.c)
-invisible monsters leave invisible corpses ;B (mon.c)
-mon hit mon gaze attack reflection implemented (mhitm.c)
    -monsters using death gaze on each other implemented ;B
-gaze attacks when polymorphed are now implemented ;B 
    -takes 20 energy,  attacks only one monster
    (cmd.c, polyself.c)
-fixed an errant if statement that made dragon breath *harder* for doppelgangers
    and Flame/Ice mages (polyself.c)
    -Flame/Ice mages only get easier breath attacks when poly'ed into 
        red/blue dragons
    -All this doesn't matter anymore because monster breath attacks use energy
        (10 if doppel, flame/ice as respective dragon,  15 otherwise)
-Monster inventory starts: (makemon.c)
    Gnolls:  might get Bardiche, Voulge or Halberd,  Leather armour 1/3
    Trolls:  might get Spetum, Partisan, Glaive or Ranseur
-Flame/Ice mages start with more Power, gain more every level (closer to Wizards)
     (u_init.c, exper.c)
-Monsters can now use polearms at a distance (weapon.c, mthrowu.c)
-verb should now be "shoot" for monsters launching dark elven arrows, ya (mthrowu.c)
-premier and basic identification service now cost different amounts in shops
    (shk.c)
-fixed bug where mounting a steed that is carrying an object causes a crash
    (dogmove.c)
-should no longer get "maybe_write_ls" errors on high score lists 
    Unconfirmed bug - oh well,  the fix is in anyways :B (light.c)
-unpolymorph messages for monsters and items (timeout.c)
 "foo becomes foo"
-Robin Johnson's Frozen Foods Store ;B (shknam.c)
-wolf pups are now wolf cubs for accuracy ;B 
    (monst.c, mondata.c, role.c)
-explore mode can also be accessed via #explore (cmd.c)
-menu accesible via apostrophe and tilde ;B (cmd.c)
-objects will now unpolymorph! (timeout.c, timeout.h, zap.c, potion.c)
-Spell damage bonus now also depends on Spell Skill. normal beams also get 
    spell damage bonus (zap.c)
-Fixed : Checking your symbol (Hitting ;.) now gives correct response (mondata.c)
-Fixed crashing bug:  flame/freeze sphere exploding and killing gas spore (mhitm.c)
-Fixed bug:  Getting 2 messages when eating a slime mold (eat.c)
-New Techs:  Sigil of Tempest, Sigil of Control, Sigil of Discharge
    Sigil of Tempest - invoked causes magic missile/lightning/fire/cold
        to be cast as storms (also uses 50 PW)
    Sigil of Control - you can control the direction of the beam (in-flight!)
        (30 PW)
    Sigil of Discharge - Megablasts. (100! PW)
    
    Combinations - Tempest & Control:  You choose where the storm is centered at
            Tempest & Mega: storm,  but lasts 2x longer
            Control & Mega:  can change dir of beam in midflight
            All 3: storm,  selected center,  2x longer ;B
    (tech.h, tech.c, spell.c, zap.c)
-New Tech: Cutthroat for Rogues.  Possible insta-kill,  otherwise 50% damage
    Acquired at level 15 (tech.c)
-Techniques can be gained and lost (like intrinsics) with levels ;B
-New Tech: Liquid Leap for Doppelgangers.   Doppelgangers can liquify,  and acid
    bolt a couple spaces *through* enemies before reforming.  They're 
    invulnerable while doing it,  too ;B
-fixed typo with the "Your knowledge of the spell is twisted...It invokes nightmarish yadda!"
    (spell.c)
-all spell effects that duplicate objects will act like blessed version ;B
    (spell.c)
-new spellbook tiles (note these get shuffled ;B)
    tartan, psychedelic, spiral-bound, rainbow striped, left handed
    spotty spellbooks
-junk mail should no longer give version number (since I'm too lazy to change it ;B"
-Yeoman corpses should be properly generated in graves (topten.c)
-New Tech: Primal Roar for Cavepeople : Gains Fast,  aggravates monsters around
    nearby (range 5) pets nearby grow up temporarily.  Did I forget to mention
    pets do double damage for the duration ;B
    (tech.c, tech.h, extern.h,timeout.c)
-Killer bees shouldn't grow into queens anymore (mondata.c)
-New Tech: Elemental fist for Monks : Punches inflict a random 
    fire/cold/elec/acid/poison dmg bonus (tech.c, tech.h, uhitm.c)
-Yeoman now have a "special spell" - knock (spell.c)
-New Tech:  Blessing for Priests (tech.c)
-winter wolf cubs should grow up properly now (mondata.c)
-fixed wrong glyph being displayed when zapping a gas spore and it explodes (zap.c)
    -this should slow things down...I really need to get feedback about the 
        efficiency of SLASH'EM (probably not good <G>)
-klutzes (not dex enough) really should now take a turn when swapping weapons (wield.c)
-New Tech: Critical Strike for Rogues - weapon + 50% + techlevel damage against humanoids
        (+25% instead of +50% if non-humanoid) (tech.c, tech.h, u_init.c)
-spheres should attack monsters of any level (dogmove.c)
-slime warning on bottom line (botl.c)
-push back effect from blessed wands of striking only happen 1/3.  Monsters using
    wands of striking will also get push back effect (on you and other mons) now 
    (muse.c, zap.c, dothrow.c, dokick.c)
-weight on bottom line is linked to the showweight option (botl.c)
-New Tech:  Vanish for Gnomes  - short term speed and invisibility (tech.c, u_init.c, tech.h)
-level names for flame mage and ice mage are back. (role.c)
-flaming sphere now likes fire.  flaming and shocking spheres emit light
        (range 1) (mondata.h)
-Meta-e is back to "enhance weapon skills".  
        M-k still works for now.
-DOS version runs in tile mode under Pure DOS (botl.c)


My Additions
~~~~~~~~~~~~
autoquiver
  If you use the (f)ire command when the quiver is empty, and
  this option is set, a suitable weapon will be placed in your
  quiver.  You must still remember to wield your bow if you plan
  to fire arrows (or other launcher/ammo combination).  You may
  still use the (Q)uiver command manually, if desired.
  (4E3)

Medusa level
  Coded and tested (4E3):
    The Wallet of Perseus is now an artifact bag of holding.

Rolling boulder traps
  Coded (4E3):
    No delay when the boulder is out of your sight.
    [Code provided by D. Stage <dstage@u.washington.edu>.]

New role system (the "role patch")
  Coded and tested (4E3):
    Game engine makes complete use of urole.
    Fixed "This game you will be a chaotic knight" bug.

Voluntary challenges
  Coded and tested (4E3):
    Pacifist.

Pets
  Coded and tested (4E3):
    Winter wolf pup now "cub" and grows up properly.

u pony, horse, thoroughbred
  Coded (4E3):
    is_unicorn() macro.
    No longer treated like a unicorn.

Spellcasting monsters
  Coded (4E3):
    The create pool effect is now harder for monsters to cast.

Wielded, secondary, and quiver weapon slots
  Coded and tested (4E3):
    "autoquiver" option.
    [Suggested by Jeffrey Bay <jbay@convex.hp.com>.]

Two-weapon combat
  Coded and tested (4E3):
    Cannot use artifact in second weapon slot.

Multiple attacks
  Coded (4E3):
    Weapon to-hit (hitval()) bonuses no longer accumulate with
    each attack round.  For example, a +1 weapon acted like a +6
    weapon for a marilith's sixth attack!  Fixed.

Artifacts
  Coded (WAC, 4E3):
    Mjollnir is once again a one-handed weapon.

darts
  Coded and tested (4E3):
    Monsters will now throw darts.
    [Reported by <kbailey@reed.edu>.]

Polearms
  Coded (WAC, 4E3):
    Monsters know how to use from a distance.

New skill categories
  Coded (4E1):
    Category titles (weapon.c)
  Coded and tested (4E3):
    Paddles
    Firearms (#ifdef'd)

apple
  Coded and tested (4E3):
    Macintosh users get an appropriate special message.

spell of drain life
  Coded (WAC, 4E3):
    Effect: See wand of draining.
    Attack spell, level 7, cost $700, chance /1000, "velvet".

spell of passwall
  Coded and tested (4E3):
    Effect: You can pass through walls for 50 to 149 turns.
    Body spell, level 6, cost $600, chance /1000, "ochre".

potion of full healing
  Coded and tested (4E3):
    Blessed restores lost experience levels.

Reading rings
  Coded and tested (4E3):
    Rings can be read when they are worn.
    Applicable rings: mood ring, warning.

mood ring
  Coded and tested (4E3):
    Worn: If identified, you can (r)ead it.  A non-cursed ring glows red,
      yellow, or green if your god is angry, pleased, or well-pleased.
      A cursed ring appears dark.
    Eaten: No effect.
    Sink message: "The sink looks groovy."
    Cost $100, "ridged".

ring of increase accuracy
  Coded and tested (4E3):
    Worn or eaten: Confers a to-hit bonus.
    Sink message: "The water flow hits/misses the drain."
    Cost $150, has enchantment, "clay".

ring of indigestion
  Coded and tested (4E3):
    Worn:
      You are immune to digestion attacks.
      You cannot use a digestion attack.
      Causes hunger.
      Induces nausea every 50-80 turns.
    Eaten: "This ring is indigestible!" and you choke.
    Sink effect: "The ring is regurgitated!" and does not disappear.
    (If wearing the ring doesn't make you naseous, the bad puns will.)
    Cost $150, usually cursed, "steel".

bag of holding
  Coded and tested (4E3):
    Artifacts behave 4x cursed, 1/6 x blessed, 1/3 x uncursed.
    Wallet of Perseus is an artifact bag of holding.

silver wallet
  Deleted (4E3).

saddle
  Coded and tested (4E3):
    Riding a strong monster maximizes your carrying capacity.
    Fixed divide-by-zero bug when steed carries an item.
    Fixed magic whistle bug.
    Monsters won't be placed under you when not riding.

Weapon-tools are no longer displayed as chargeable (4E3).

You cannot auto-identify items while hallucinating.
  Coded (4E3).
  [Reported by Nick <mote@scf-fs.usc.edu>.]

Added the macro is_unicorn().  (4E3, mondata.h)

Repaired a bug while praying during a full moon.  Add "case 9:"
after "case 8": in pray.c, pleased().  Also, cases 7 to 9 should
be placed before case 6, in case ELBERETH is not defined. 
(4E3)

spell.c, spelleffects() once again directly calls percent_success()
(4E3).

False rumors (4E3):
  Waltz, dumb nymph, for quick jigs vex.
    [A pangram (sentence with all 26 letters of the alphabet), from
    the rec.puzzles archive, by Gyles Brandreth and Stephen Smith.]

Major Oracularities (4E3):
  Upon a level before all maze
  There lies a woman who kills with gaze.
  Should she be killed, not petrified,
  You will receive a magical ride.
  [Pegasus]

ver 0.0.4E2 [October 29/1998]
-Database entries updated thanks to many people ;B Thanks folks!
-Check out the new features!
-BIG Thanks to Kevin Hugo and Robin Johnson!  THEY made SLASH'EM 0.0.4E2!

Options
~~~~~~~
role
  Your starting role (e.g., role:Barbarian, role:Elf).
  Although you can specify just the first letter, for future
  compatibility, it is recommended that you spell out the entire
  role name.  You can also still denote your role by appending
  it to the "name" option (e.g., name:Vic-V), but the "role"
  option will take precedence.

gender
  Your starting gender (gender:male or gender:female).
  You may specify just the first letter.  Although you can
  still denote your gender using the "male" and "female"
  options, the "gender" option will take precedence.

align
  Your starting alignment (align:lawful, align:neutral, or
  align:chaotic).  You may specify just the first letter.

pushweapon
  If true, then using the (w)ield command will push your old
  main weapon (if there is one) into the secondary weapon slot.


Map features
~~~~~~~~~~~~
Sokoban branch
  New addition (4E1).
  Coded (4E2):
    Can no longer cheat with cursed potion of gain level.

Oracle level
  Coded and tested (4E2):
    #offering corpses to the Oracle.
    Groundhog day.

Medusa level
  Coded and tested (4E2):
    Pegasus is created when Medusa is killed and leaves a corpse.

Smarter handling of overlapping branch levels.
  Coded and tested (4E2).
  (dungeon.c, dungeon.def)

trees
  Coded and tested (4E2):
    Glyphs for tile, IBM, DEC, and Mac graphics.
    Gold and gems aren't be deposited on arboreal levels.

Documentation of new map features
  To do.


Roles
~~~~~
New role system (the "role patch")
  Coded and tested (4E2):
    "role", "gender", "align" options.
    Centralized structure containing role information.
    Less dependeny on using letters to specify roles.
    Role, gender, and alignment selection now dynamic (no
      longer hard-coded).
    References to urole (partially done).
    Hello() and Goodbye() functions.
  To do:
    References to urole.

Voluntary challenges
  Coded and tested (4E2):
    (Genocideless is already apparent)
    Wishless, no artifact wishes, polypileless, polyselfless
    Vegetarian, vegan, foodless
    Athiest, illiterate, non-weapon-using
    Reported by #ethics command and at game end.
  To do:
    Adjust final score based on challenges?

Yeoman class
  Coded (4E2):
    Quest levels.
    Mac role selection dialog box.
  To do:
    Nemesis maledictions need some work.

Quest features
  Coded (4E2):
    All quests have at least one guaranteed altar.  If one
      had to be added, it was placed under the nemesis.
    The Wizard start level has a large bookstore.
    [Suggested by Aaron Eichelberger <aaron@ull.srl.caltech.edu>.]
    quest.txt, %Cc R 00070, should not be in quotes.

Skills
  Coded and tested (4E2):
    Your maximum skill of your first artifact gifts is at least
    skilled.
    Your maximum skill of your quest artifact is expert.
    Spellcasting roles have at least basic maximum skill in all
    of the spell skills.

Pets
  Fixed some of the pets (4E2):
  Flame mage   hell hound pup
  Gnome        ?
  Ice mage     ice wolf pup
  Knight       pony
  Lycanthrope  wolf pup
  Necromancer  zombie
  Yeoman       pony
  [Suggested by Aaron <aaron@iphc.washington.edu>.]
  All 'd' use dogname, etc.


Monsters
~~~~~~~~
gas spore
  Coded and tested (4E2):
    No longer explode when genocided.
    [Reported by Julian Bell <cool@tartarus.uwa.edu.au>.]

koala
  Coded and tested (4E2):
    Calm attack.
    Eats only eucalyptus.

Tasmanian devil
  Coded and tested (4E2):
    Eats organics (like gelatinous cubes).


Attacks
~~~~~~~
Acid, rust, rot damage
  Coded and tested (4E2):
    Acid has a 5% chance of removing your weapon's
    erosionproofing.
    Your weapon or armor can no longer be completely
    destroyed by a rust or rot attack.

Calm
  Coded and tested (4E2):
    Turns the defender peaceful.
    Only applies when attacker is tame and defender is hostile,
      or vice versa.  Some defenders can resist.

Wielded, secondary, and quiver weapon slots
  Coded and tested (4E2):
    Overhauled and aggresively tested.
    "pushweapon" option.
    Secondary and quiver no longer weld or convey intrinsics.
    "Corpse in quiver" bug fixed.
  To do:
    Did this fix the bad monster weapon restore bug?

Two-weapon combat
  Coded and tested (4E2):
    #twoweapon command implemented.
    Necessary checks are made.
    Damage for both primary and secondary weapons.
    Weapon skill is used and can be advanced.
  To do:
    As it is now, you either hit with both weapons, or with
    neither.  The to-hit code either needs a kludge, or an
    overhaul (uhitm.c).


Objects
~~~~~~~
Artifacts
  Coded and tested (4E2):
    Each role has a designated first and second gifts.
    Automatically change alignment of quest artifact and first
      and second gifts.

crysknife
  Done (4E2):
    Can "fix" it by reading a scroll of enchant weapon while
    confused.  A fixed crysknife has a 10% chance of reverting
    to a worm tooth when dropped.
    [Requested by Nick Number <number@sirius.com>.]

Robes
  Coded and tested (4E2):
    Putting on a robe of weakness and/or protection automatically
    identifies it.

eucalyptus leaf
  Coded and tested (4E2):
    Koalas can only eat this food.

saddle
  Coded (4E2):
    Finally enabled by default!
    Knights and Yeomen start with a pony, a saddle, 10+ apples,
    and 10+ carrots.
    #sitting tells you about your steed.


Internal changes
~~~~~~~~~~~~~~~~
Added "role.c".  (4E2)

spell.c, study_book() condensed by using oc_level.  (4E2)


Rumors and Help
~~~~~~~~~~~~~~~
False rumors (4E2):
  You can make holy water by boiling the hell out of it.
  On Groundhog Day, you should play the same game over and over and over...

-3 line bottom line for systems that support it ;B
-minor fixes to the slashem.txt file
-updated history sections ingame and in guidebook (guideboo.mn, history)
-added Robin Johnson's new tiles!  more than 50 at the last count!:
        intern, lightning explosion
        Lareth,  Maagnashagar, athol,  rhaumbusan,  necromancer,  nightmare
        shifter, page, Sir Lorimar,  Master Kaen, Transmuter,
        enchanted beast, dao, wombat, Aleax, healer, Hippocrates,
        attendant, Nalzok,
        hydra, giant crab, pony, horse, thoroughbred, doppelganger,
        Master Shifter, wyvern, prisoner, monkey, arc bug, spark bug,
        undead slayer, van helsing, pegasus, winter wolf pup, exterminator
        dingo pup, large dingo,  tasmanian devil,  kangaroo, wallaby
        wallaroo, platypus, woodchuck, giant spider, largest giant
        iron bars, tree
        fishing pole, eucalyptus leaf
        -new zap beams
        -new explosions
        -this guy deserves eternal gratitude.  
-database additions
        -bottle Matthew B. Ryan
        -2 more stormbringer quotes...
	-added lembas wafer, elven cloak,  Stormbringer to data.bas - 
		thanks to Nick Number
	-added Shelob's description from "The Two Towers" (Tolkien) for 
		giant spider
	-Earth (Mostly Harmless ;B) from HHGTG
	-silver (Webster's)
	-rodney now links to WoY
-added in sokoban level for DOS port 
-made it so if the screen is long enough,  TTY port will allow a 3 line
        status line (best of ALL worlds ;B) (wintty.c)
-yellow jelly is now yellow in tiles ;B (other.txt)
-renumbered the tile files.  (objects.txt, monsters.txt, other.txt)
-a new look for the readme.txt, slamfaq.txt, history.txt

ver 0.0.4E1 [October 09/1998]
-DOS binaries compressed with DJP 1.07
-a couple extra touches to the Oracle level
-lots of tweaks on the old monsters (monst.c)
-A new branch!  Look for a stairway up early in the game...
-new monsters - enchanted beast,  Taz devil,  kangaroo,  wallaby, wallaroo,
        echidna, platypus
-polymorphing/unpolymorphing monsters will give messages if it suffers a
        system shock/doesn't survive the polymorph (timeout.c)
-range of polearms increase with skill (apply.c)
-healing potions have same effect on monsters as on humans (almost) rather
        than always completely healing. (potion.c)
-chance that a shopkeeper won't cheat you (depends a bit on luck and quite
        a bit on Charisma) (shk.c)
-wraiths are 50% likely to get a robe (read the database entry ;B)
        (makemon.c)
-Ice Mages get Expert in Enchantment as well as Matter,
        Skilled in Protection and Healing,  Basic in others. (U_init.c)
-Flame Mages  get Expert in Divination as well as Matter,
        Skilled in Body and Attack,  Basic in others. (U_init.c)
-Wizards can only get Expert in Attack Spells - rest can only go to Skilled
        They are still the "jack of all trades" for magic. (u_init.c)
-new spells:  Flame Sphere,  Freeze Sphere for Flame and Ice Mages!  Now
        these Mages have something to call their own,  instead of having to
        rely on the out of category (therefore, less effective) force bolt.
        Pretty much,  you can summon Flaming/Freezing Spheres,  who will
        follow you around and attack enemies (well, that's the plan ;B)
        You also get the experience ;B
        Disadvantages:  Relatively short range,  not directable,  can't hit
                multiple enemies.
        Advantages:  You can generate and save for a rainy day ;B
        (dog.c, spell.c, objects.c, objects.txt, doname.c, mon.c, mhitm.c
        monst.h)
-bashing message when hitting monsters in melee with polearms (wield.c)
-attacking with pole-weapons in melee does bashing damage (uhitm.c)
-minimum range for applying pole-weapons (apply.c)
-priests now start with a +2 robe and +2 small shield (blessed,  of course ;B)
        (u_init.c)
-dragons should blast open doors properly ;B (monmove.c,  mthrowu.c)
-rechecked/cleaned up part of the wielding code (again :B) (wield.c)
-fixed bug - wielding quivered item then throwing used to crash
        (wield.c)
-all magic candles should no longer show up partly used when unidentified,
        not just the Candle of Eternal Flame. (objnam.c)
-gas spores should always explode when dying.  There should no longer be any
        gas spore corpses left behind (explode.c,  mon.c)
-force bolt at Skilled and blessed wands of striking will push back enemies
        (zap.c)
-no longer charged for reading a spellbook of a spell you already know well
        in a shop (spell.c)
-fixed free reading of spellbooks off floor (shk.c)
-fixed game crashing when reading off the floor, spellbook is destroyed and
        game crashes. (spell.c)
-fixed ordering of spells to accomodate assumptions in zap.c
        (objects.txt, objects.c)

ver 0.0.4E0 [September 09/1998]
-balance patch additions merged in thanks to Kevin Hugo (many)
        -there are a good many changes ;B  Check out slamfaq.txt if you
                haven't read his post yet <g>
-some rearranging of the objects.txt to work with the tile code (objects.txt)

ver 0.0.3E9 [August XX/1998]
-fixed game crashing bug.  All machines should be able to get past the
        selection screen without crashing now. (save.c)

ver 0.0.3E8 [August 10/1998]
-no longer get "<foo> gets angry!" if monster is not visible (mon.c)
-fixed game crashing when kicking stoning corpse with bare feet (dokick.c)
-Wallet of Perseus should now explode if you put a wand of cancellation,
        etc. in it (obj.h)
-Game Crashing bug fix:  Fatal error when drowning while carrying no inventory
        and a lot of gold (trap.c)
-cancellation now eliminates sliming,  drain exp attacks from harming you
        (mhitu.c)
-removed extra carriage returns in 'A' special ability (cmd.c)
-Barbarians can read spellbooks again,  albeit unreliably (their "Magic! Bah!"
        comes up often) (read.c)
-blessed keys, credit cards,  etc. break off less often in locks. (lock.c)
-it is no longer as difficult to open tins using dark elven daggers,
        great dagger, silver dagger (eat.c)
-if you try to fire with no ammo,  will go to standard throw prompt
        (dothrow.c)
-having strength 18/91-18/99 no longer gives +11 damage bonus - is now +3
        (weapon.c)
-Ice Mage now has levels Cooler, Condenser, Chiller, Froster, Permafroster,
        Icer, Freezer, Sublimer, Ice-Master (botl.c)
-Flame Mage now goes through named levels Spark, Igniter, Broiler, Combuster,
        Torcher, Scorcher, Incinerator, Disintegrator,  Flame_master. (botl.c)
-Player's with Con > 15 also have a chance of getting the "Strange....no etc."
        msg (potion.c)
-fixed a silly bug...Barbarians can drink potions successfully again
        (potion.c)
-Turn condensed back to T:,  Levitate is now Float on status bar (botl.c)
-now runs in 24 lines (rather than 25) for compatability with other platforms
        (botl.c)
-made getting djinni's from smoky potions more frequent.  Used to be one in
        200+ chance... (potion.c)
-recompiled using gcc 2.8.1 for more stability
-fire/frost/etc weapons now have interesting effects when dipped/etc.
-"bad monster weapon restore" bug should be fixed (crude hack here)
        (restore.c)
-updated slashem.6
-you can also drink objects on the ground (see reading) (potion.c)
-you can now read objects off the ground (like eating) (read.c)
-shopkeepers get services randomly
        (eshk.h, shk.c, shknam.c)
-shopkeeper services should now be #ifdef OTHER_SERVICES
        (shk.c, config.h)
-there is now premium service available for identification
        (shk.c)
-all 'foo'sabers are now bimanual. (objects.c)
-'--help' command line option should invoke command-line help (pcmain.c)
-spoon is now a "whacking" weapon,  rather than piercing (objects.c)
-rapier is now classed as a saber (weapon.c)
-new option {pickup_burden} lets you specify when the game should start
        prompting you about lifting heavy things.
        (options.c, flag.h, pickup.c, guideboo.mn, guideboo.tex)
-can no longer get endure cold/heat if flame or ice mage
-hopefully fixed doubled spellbook bug in initial inventory
        (u_init.c, spell.c)
-You get messages when dipping frost/fire weapons into water
        (potion.c, artifact.c)
-prayer timeout is reset to zero right after successful altar conversion
        (pray.c)
-fixed (hopefully) the swapwep problem for good.  Really.  (I hope).
        So I don't read all the comments :)
        As a matter of note, I've finally discovered that the bitfields
        are in octal form.   And a long being only guaranteed to have 32 bits,
        it's interesting to note that there's been a use made of 31 of them...
        (obj.h)
-changed typename() to obj_typename()
-fixed naming a known wand of fireball/fire when breaking/exploding (apply.c)
-fixed naming known potion in blackmarket (potion.c)

ver 0.0.3E7 [June 11/1998]
-fixed a couple typos in the 'D' quest (quest.txt)
-fixed undeleted light source when artifacts are destroyed
        (extern.h, mkobj.c, artifact.c, light.c)
-fixed PYEC doing a level teleport when "nothing happens" (artifact.c)
-Elves/Drow now have expert quarterstaff skill - quest arty for Drow
        is Tentacle Staff (u_init.c)
-Gnomes now have expert pickaxe skill - their quest arty was a pickaxe,
        no less! (u_init.c)
-dragons and other monsters with door destroying breath weapons will
        use their breath weapon do destroy doors (monmove.c, mthrowu.c, extern.h)
-acid will melt away doors (zap.c)
-rings of strength can now counter robe of weakness (attrib.c)
-gauntlets of power and rings of strength can now work in tandem. (attrib.c)
-gauntlets of power will now only counteract effect of robe of weakness.
        (attrib.c)
-pickaxes now have a bonus against statue gargoyles and stone golems
        (weapon.c)
-wands of digging now affect earth elementals, xorns, statue gargoyles,
        stone golems and boulders. (dig.c, zap.c)
-can now quiver secondary weapons and wield quivered weapons (wield.c)
-spell cure sickness, Healers' and Knights' special ability will remove
        slime. (spell.c, cmd.c)
-not penalized for trying to reinforce a spell that doesn't need
        to be.  (spell.c)
-did all kinds of funny things to hopefully fix the "bad monsndx" bug.
        -removed messages
        -changed variable from a permonst pointer to an int PM array #
        -moved variable...was conflicting with mextra array
        (timeout.c, makemon.c,  monst.h)
-eroded and other adjetives can have funny caps now when wishing (objnam.c)
-Thiefbane should now exist as an artifact weaponand wishable
        (objnam.c, artilist.h)
-changed Lord Vlad the Impaler to Count Dracula. Yes,  I know they are
        related,  but one is fiction,  the other is real.  Plus,
        this helps keep them slightly apart.
        (monst.c, monsters.txt, slayer.des, questpgr.c)
-spoon named Houchou is a chaotic artifact - 9999 damage when thrown
        and hits :)
        (uhitm.c, dothrow.c, weapon.c,  mthrowu.c)
-spoon is now normal object - no special abilities.
-'\' shows intrinsic and discoveries on same screen  - intrinsic knowledge
        is prefixed with a "*" (o_init.c)

ver 0.0.3E6 [June 04/1998]
-will no longer see correct name for priests, minions, angels when
        hallucinating (do_name.c)
-valkyries now get a +1 spear rather than a long sword (u_init.c)
-monks no longer get spellbooks of sleep - spellbooks of resist sickness
        instead (u_init.c)
-'\' command now also shows "Intrinsic" knowledge
-can now wish for Graywand, Staff of Withering, Hand/Eye of Vecna,
        Stake of Van Helsing, Wallet of Perseus, Medallion of Shifters
        (objnam.c)
-can now wish for an aklys (objnam.c)
-made w_swapwep and w_quiver 0200000000L and 0400000000L
        hopefully remove problem of randomly occurring (secondary weapon)
        and (in quiver) (obj.h)
-removed tempwep - unused (wield.c, worn.c, decl.c, decl.h, obj.h)
-added keyboard accelerators to slamfaq.txt
-"bad monster weapon" bug when corpse wielded by a monster rots away fixed
        (dig.c)
-exploding wands of polymorph and drinking potions of polymorph
        no longer cause polymorphing on Blackmarket level (potion.c, apply.c)
-"let me run run my fingers through your hair" succubus message fixed
        (mhitu.c)
-the "Strange...nothing much happens" when 'B' quaff potions no longer
        id's the potion.  Message is now standard nothing happening message
        (potion.c)
-only burning explosion destroys player corpse (explode.c)
-death by exploding monster is now recorded correctly (explode.c, mon.c)
-problem with petshop shopkeeper's names fixed? (shknam.c)
-dipping objects into potions of polymorph now causes object polymorphing
        (potion.c)
-version (normal and extended) now display game name as per DEF_GAME_NAME
        (defined in patchlev.h (or patchlevel.h))
        (makedefs.c)
-pc versions now have "Welcome to DEF_GAME_NAME" as defined in patchlev.h
        (pcmain.c)
-made guidebook short name #ifdef SHORT_FILENAMES (global.h)
-added Title bar changing for DOS boxes under Win95 (pcmain.c, msdos.c)
-system shock now does damage to monsters rather than just killing outright
        -polymorph traps can now cause system shock (trap.c, zap.c)
-polymorphed monsters will revert to old forms after a period of time
        -potions, spells/zaps, traps
        (extern.h, timeout.c, zap.c,  light.c, trap.c)
-graves should no longer in "unique" rooms (mklev.c)
-save_prompt has been merged with keep_save...however,  use with caution.  It
        seems that there are buglets in the save/restore code... (save.c)
-bullwhip won't be able to yank out cursed weapons
        (apply.c, muse.c)
-replaced mine levels with 3.2.2 levels. Removed minefill.des and
        mineend.des (mines.des, dungeon.def)
-monsters will no longer wield non-petrifying corpses. (weapon.c)
-troll mummies leave troll corpses (mon.c)
-eating petrification egg now results in correct final screen message
-artifact wishing is back the way it used to be (objnam.c)
-the inventory accessible by the '*' key now has the right appendages
        when polymorphed (invent.c)
-monster casting spells will no longer create pools of water
        on top of pools of water, altars,  clouds or in the air. (mcastu.c)
-wands of create horde will act similarly to wands of create monster
        if applied/exploded (explosive blast will be 2x stronger though)
        (apply.c)
-let you loot a chest on top of a grave (pickup.c)
-characters with intrinsic/automatic special powers no longer
        lose a turn. (cmd.c)
-monsters hitting monsters take silver, stake damage (mhitm.c)
-monsters hitting you with stakes do bonus damage if you're vampire
        (mhitu.c)
-fixed bug where monster name and corpse name were mixed up with monster
        hitting you with corpse (mhitu.c)
-monsters use stakes (weapon.c)
-Stake of Van Helsing always has 1/20 chance of vaporizing vampires
        (uhitm.c)
-Ogre king is now level 9 (monst.c) - used to be 7 (same as Ogre Lord!)
-removed save_prompt as it was causing savefile problems (save.c)
-'B' should no longer get spellbooks from praying. (pray.c)
-chickatrice grows into cockatrice,  hatches from cockatrice eggs.
        (mondata.c)
-master mind flayer get mental blast and telepathy
        (polyself.c,  cmd.c, monmove.c, allmain.c)
-Rodney summons
        -vamp mages rather than lords
        -master mind flayers rather than mind flayers
        (wizard.c)
-vampire mages leave human corpses (mon.c)
-piles of killer coins will "grow up" to large and huge piles (mondata.c)
-fixed applying wands of enlightenment (apply.c)
-fixed inventories so ice mage/flame mages can't have doubled spellbooks
        (u_init.c)
-more fixes from Max
        -fixed spell % success inconsistencies (spell.c)
        -fixed bracketing and casting
                (apply.c, artifact.c,  ball.c, botl.c, cmd.c,
                detect.c, do_wear.c, dog.c, dogmove.c, do_throw.c,
                eat.c, engrave.c, explode.c,  files.c, fountain.c,
                hacklib.c, invent.c, makemon.c, mhitu.c,  mkobj.c,
                mon.c, music.c,  objnam.c, options.c,  potion.c,
                pray.c,  read.c,  sp_lev.c, trap.c, uhitm.c, wield.c,
                worn.c, zap.c
        -limited "chain combo" of 'L' to 4 hits (give the enemy a chance to
                dodge) (uhitm.c)
        -added more extern fcns (extern.h)
        -prototypes (hack.h)
        -added SVR4 to machines that need msleep(k) redefined (unixconf.h)
        -tweaked special ability durations again (cmd.c)
-fixed turning to stone when engulfing.  Forgot a ! in an if statement ;B
        (uhitm.c)
-remove extra period in "caught himself in his own ...."  (explode.c)
-'c' is always lawful (u_init.c)
-'u', 'v' weapon id special ability no longer crashes when attempting to
        id non-weapons (cmd.c)
-optimization has been dropped to O2 to prevent compile errors (makefile)
-snuffing out candle of eternal flame - used wrong object variable (apply.c)
ver 0.0.3E5 [Apr 30/1998]
-Doppelgangers have a 1:20 chance of becoming a "new man" rather than 1:5
        (polyself.c)
-can no longer wield a pickaxe by applying if holding a shield. (apply.c)
-made all character classes level 10,  and just G_NOGEN
        -change to no special gen flags?
        (monst.c)
-bad food has been moved before worm tail so that it will be randomly
        generated in the dungeon (monst.c)
-if you are polymorphed as green slime,  sliming has no effect
        -you get to passively respond to sliming
        -if fire elemental,  fire vortex - Immunity
        (mhitu.c)
-ghouls will no longer eat stoning corpses, riders(!!) (eat.c)
-fix cockatrice, basilisk, chickatrice and pyrolisk (and eggs)
        -eat corpse: pyrolisk no longer stones, basilisk stones
        -eating eggs: basilisk, chickatrice, asphynx now stone
        (eat.c)
        -throwing: eggs, corpses  - basilisk, chickatrice, asphynx now stone
                at self (dothrow.c)
        -pets will no longer eat corpses, eggs (dog.c, dogmove.c)
        -touching corpses (invent.c)
        -monsters attacking each other with corpses (mhitm.c)
        -tinning (apply.c)
        -wielding (do_wear.c)
        -monsters picking up without gloves, eating
                (mon.c)
        -monsters regurgitating, attacking you with corpse
                swallowing (mhitu.c)
        -picking up corpses (pickup.c)
        -monsters stealing corpses (steal.c)
        -no killer == by petrification (timeout.c)
        -touching after falling -players and monsters
        -untrapping (trap.c)
        -gloved monsters will look for petrifying corpses (muse.c)
        -monsters will wield all petrifying corpses (weapon.c)
        -wielding petrifying corpse w/o gloves == stoning (wield.c)
        -kicking petrifying corpse stones (dokick.c)
        -eating petrifiers,  throwing eggs, hitting with corpse (uhitm.c)
        -if polymorphed in to a biter/tentacle/kicker,  will not use touch
                attack if wielding a weapon and attacking a cockatrice.
                Same for monsters wielding weapon but also having hth attacks.
                (eg.  mind flayers)
                (uhitm.c, mhitm.c, mhitu.c)
-fixed selfpolymorph into silver dragon not giving reflection
        silver dragon armor gives protection from god lightning
        and monster defensive gaze attacks
        (mhitu.c, zap.c, pray.c, uhitm.c, youprop.h)
-for some reason,  Wizard Patch made the probability of being hit by
        a wand always 15/20.  Now based on AC
        (zap.c)
-you will now die if polymorphed and hit by a wand of death/disintegration
        blast.  Fixed bug in losehp that 'return' before the check for
        negative hp if poly'ed
        (hack.c)
-losehp no longer does damage to your original hp if polymorphed (hack.c)
-eating mimick corpse used to always end with " prefer mimicking a human"
        even when polymorphed. Will also catch gnomes as well now (eat.c) 
-dark elven equip do MUCHO more damage in the hands of elves
        - especially during special ability... (uhitm.c)
-fixing the dropping some of quiver/secondary weapon unwields all
        standard 'd'rop and traditional 'D'
        (invent.c)
-bugfixes (A big thanks to Max for sending me a patch containing almost
all of this of this - all I did was check do a couple small corrections
or changes!) function declarations, unused variables, typedefs
variables not correctly casted, brackets - major code cleanup!...
        -fixed/added some prototypes
                (extern.h, system.h)
        -removed unused var temp
                (allmain.c)
        -fixed casts
        -fixed brackets
                (apply.c)
        -corrected prototyping,  sprintf syntax,  casts
                (botl.c)
        -corrected fcn declarations
        -removed unused variable res in makemenu
        -junk_char in parse is now ifdef BORG
                (cmd.c)
        -cast fix
                (dokick.c)
        -volley count fix
        -cast fix
        -fcn declaration
                (dothrow.c)
        -fixed ambiguous brackets
                (eat.c)
        -made resist message nonambiguous resistance type
        -now showdmg as per uhitm
                (explode.c)
        -added prototypes for redirect, docompress
        -made filename, mode in redirect and docompress const char
                (files.c)
        -losehp does no dmg if invulnerable
                (hack.c)
        -missed check for accessing null variable in new menu access UI
                (invent.c)
        -bracketing
                (makemon.c)
        -survive poisin if invulnerable
                (mon.c)
        -fixed casting in askchain
                (pickup.c)
        -monsters can resist !oPoly
                (potion.c)
        -added a declare for god_gives_pet
                (pray.c)
        -added fcn declare for read_grave
        -made epitaph a const char
                (read.c)
        -made variable fd in dosave ifdef KEEP_SAVE
                (save.c)
        -removed unused variables
        -added correct casting for various variables, arguments
                (shk.c)
        -removed unused vars cl, buf
                (shknam.c)
        -added declares
        -removed unused variables
                (spell.c)
        -added declare for write_timer
                (timeout.c)
        -made *fmt static const char from static char
                (topten.c)
        -added fcn typedefs
        -fixed martial_dmg - doesn't need params
        -added ifdef SHOW_DMG to polymorphed player attacks
        -fixed monster damage taken twice.
                (uhitm.c)
        -fixed casting for null argument of view_from
                (vision.c)
        -added some typedefs
        -fixed "no ammunition" message
        -rearranged readyweapon to catch null wep first
                (wield.c)
        -removed unnecessary variable buf
        -replaced long string of if comparison with strchr with 
                (u_init.c)
        -bracketing, static fcn declare
        -removed unused variable int i in zapping fcns
        -explosions now show monster dmg
        -survive disintegration/death zaps if invulnerable
                (zap.c)
        -removed unused variable (char buf)
                (wintty.c)
        -fixed prototypes
                (unixmain.c)
        -added prototypes
                (unixunix.c)
        -removed unused variable
                (makedefs.c)
        -added SHOW_WEIGHT option
                (flag.h, options.c, objnam.c)
-should have fixed the problem with encumber messages appearing at the
        beginning.  (attrib.c) Tough nut to crack - one of the things that
        only appears every now and then,  and you can't tell that it's
        broken until it appears again.  Pink Elephant.
-added grave, toilet symbol positions to dungeon option definition
        (guideboo.txt, guideboo.mn, guideboo.tex, nethack.cnf)
-monsters using unicorn horn message fixed.  Is now
        "xxx uses a unicorn horn"  rather than "xxx uses a unicorn horns"
        (muse.c)
-you will at least throw one of an object when you throw.  Unskilled
        used to be completely unable to throw objects.
        (dothrow.c)
-gas spores no longer explode as wands (as food;B) (mon.c)
-fixed damage sustained in retributive strike ('a'pplying
        wands) and double damage in explosions. (explode.c)
-armor falling off will no longer disappear (polyself.c)
-fixed config file not detecting system properly (file.h)
-added more tiles courtesy of Dirk!
        -monadic deva, astral deva, Planetar, Solar, storm giant,
        ghast, bar-igura, chasme, babau, nabassu, gila monster,
        basilisk, komodo dragon, High Lycanthrope have tiles!!
        (monsters.txt)

ver 0.0.3E4 [Mar 31/1998]
-fixed the god giving gift (spellbook/sword) messages. (pray.c)
-Tsanth code patches:
        -dimasber now exercises twohanded sword skill (weapon.c)
        -dimsaber now acts as a +4 weapon (uhitm.c, mhitm.c)
        -dimsaber now burns engravings (engrave.c)
-'D' or 'L' no longer destroy armor when taking it off  - the message said
        the 'D' or 'L' took off the armor quickly,  but the code
        destroyed it ;B (polyself.c)
-the duration for 'L' and 'B' is quite reduced at higher levels (used to be
        30+ turns long at high levels!).  Increased length of 'E' and 'S'
        specials slightly
        (cmd.c)
-Doomblade,  Staff of Withering are now aligned to starting 'L' base.
        (artifact.c)
-"MU GETSU NO RAIGUMI!", Shermie from King of Fighters '97,  is
        now the lightning yell.
-"RUPUSHI KAMUI EMUSHI-TOITOI!", Rimururu from Samurai Shodown is now
        the cone of cold yell.  Hope I got it right ;B (zap.c)
-Gauntlets of Power no longer make you weaker if you had base 19+ strength
        (attrib.c)
-acid worms are now stone resistant,  and confer stone resistance. (monst.c)
-proper removal of wielded secondary weapons/quiver when you eat,  it rots
        away,  etc. (dig.c, eat.c, steal.c,  trap.c)
-you can also multithrow daggers now when skilled or up (dothrow.c)
-fixed bug where dropping some but not all of a wielded item (in quiver
        or secondary weapon)  unwielded it. (do.c)
-updated the dedication (Pillars of Strength) in this document
-fixed the filename for the guidebook.  Is now guideboo.txt for
        msdos (problem accessing from menu)  (global.h)
-fixed wrong message appearing when Envoy of Balance and receiving objects
        (pray.c)
-changed the elven damage during special use is +1 if using normal arrows
        +2 if using elven (uhitm.c)
-monsters casting lightning strike now call lightning strike special fx code
        (mcastu.c)
-[xx pts.]  damage display does not show up for explosions if
        option is not set anymore. (explode.c)
-Valkyries can now go to Expert with Matter spells (u_init.c)
-slashem website can now be reached at http://slashem.home.ml.org
-fixed bug that caused a crash when firing arrows and running
        out of ammo ;B (dothrow.c)
-strength adjustment really is quiet now ;B (u_init.c)
-removed leftover debugging code that was putting "6" at the
        beginning of message history. (dungeon.c)
-New STORM capability for lightning, fireball, and cone of cold
        If you are skilled, or have the respective resistance,  or are
        of the class type V, F or I respectively,  if you Zap the spell
        at yourself (hit '.')  you cast the "storm" variant of the spell.
        Pretty much, instead of a beam,  you get a whole bunch of explosions
        in the area around you.
        (zap.c)
-when "unpolymorph", you have 1/2 full hp (polyself.c)
-fixed bug that made gold show up only when showscore is on
        (botl.c)

ver 0.0.3E3 [Mar 04/1998]
-Acknowledgements added.  Let me know if I spelled your name wrong,
        or I forgot someone ;B  To all those people who bothered
        to tell me SLASH'EM is broken.  <g>
-Linux support is officially included! Go to the sys/unix and follow
        directions in there for setting up for Unix.  Don't forget
        to uncomment the right unix type in unixconf.h (namely LINUX,
        although other Unices should be fine too...)  I don't
        personally have any way of verifying whether this works,
        but I hear that it should be fine ;B  (whole bunch of directories)
        Also includes Qt and X windows support.
-fixed problem where not wearing gloves when hitting monsters caused a page
        fault.  I'm learning a bit late to be careful with NULL pointers...
        (uhitm.c)
-fixed problem causing bigroom from not being created properly (dungeon.def)
-Undead Slayers starting with 2 wooden stakes bug corrected (u_init.c)
-Elves have a new special ability - they do +2 damage on arrows and
        shoot 2 extra arrows for 1-3 turns. (elven equip.)
        or 1 extra shot if non elven bow and arrows.
        Replaces weapon practice. (dothrow.c, cmd.c, uhitm.c)
-added spoon handling code just in case monsters decide to
        throw it (mthrowu.c)
-monsters will now use dark elven arrows, short swords and bows
        silver dagger given more priority (was after rocks!)
        (weapon.c)
-monster elves, samurais get multiple shots with their special weapons
        elven bows and arrow, yumi and ya. Monsters using elven equip
        get extra shots as per players (mthrowu.c)
-fixed bug that kept monsters from shooting ya (bamboo arrows)
-fixed bug that crashed shopkeepers' menus if you hit 'esc' to quit them
        (shk.c)
-reworked the throwing code.  Added multiple bow/weapon throws for
        anyone with more than basic skill.  You throw an extra
        object for every level above basic,  and another extra one
        if you're a samurai using yumi and ya or an elf with elven
        bow and arrow.  Extra throws for using elven equip (dothrow.c)
-fixed bug where dropping secondary weapon when polymorphing caused a crash
-redid the hallucination objects code (objnam.c) to be more reasonable
-added Tsanth's modifications:
        Perseus' Silver Wallet:  Artifact super BoH
                4x wt cursed
                /3 wt normal
                /6 wt blessed
              with rudimentary tile 
        the dimsaber - neutral lightsaber
                new tiles for dark, light and dimsaber
        the spoon - FF2 thrown weapon that does 9999 dmg (with tile)
        wizard mode AC gain, invulnerability
        Exact modifications are in slamfaq.txt

-added Tsanth's petname code.  Now you can specify the name of your first
        badger, bat, ghoul....
       (opthelp, opthelp.des, decl.h, decl.c, dog.c, files.c, options.c
       guideboo.tex, guideboo.mn, guideboo.txt)
-fixed a bug I caused by commenting stuff out in mkobj.c that was
        creating double corpses.  And I thought I was being smart ;B


ver 0.0.3E2 [Feb 21/1998]
-redid and updated the menusystem (cmd.c)
-fixed silly bug in hmon() (uhitm.c)  that caused DPMI crashes under DOS DPMI
-skillled spellcasters can cast spells without enough power by suffering
        hp loss.  This will abuse wisdom if you're not Expert level (spell.c)
-updated the docs (guideboo.mn, guideboo.tex, hh, cmdhelp, help)
        with the new '`' and '*' commands
-hitting esc in a submenu brings you back a menu
        (func_tab.h, cmd.c)
-bug fixes:
        -fixed damage showing up during kicks even if showdmg isn't on
                (dokick.c)
        -fixed polymorphing into new man not updating vision (polyself.c)
        -fixed dmg display for kicking (dokick.c)
        -got rid of the "musical notes" in command help.
                cmdhelp needs to be flip -u (unix style end of line rather
                        than DOS style carriage returns and linefeeds)
        -fixed problems with boulders,  hallucination is better (objnam.c)
        -fixed Monks dmg going down to 10 pts at reaching grand master of
                martal arts before exp level 16 (uhitm.c)
-made patch file using diff -c -r -N.  All future source code releases will
        probably be in this format.

ver 0.0.3E1 [Feb 16/1998]
-there is a "more" at the end of the firing of a beam weapon to let you enjoy
        the effects ;B (and take in the damage)
        (zap.c)
-adding menu system accessible by the ~ or ` key
        (cmd.c, func_tab.h)
-the weapon selection screen removes swapwep and quivered weapons from
        wield list,  like the primary weapon is normally removed
        (invent.c)
-adding Angband style inventory done by "body part"
        Currently an elaborate hack ;B
        (cmd.c, invent.c, do_wear.c)
-the FPU coprocessor emulator is now linked into the executable.
        -added -lemu to the linker flags
        -should now allow 486sx and lower machines to handle things properly        
        (makefile.gcc)
-enchanted gloves +ses (and -ses) add to barehanded combat damage
-added alternate spellings to pick-axe - pickaxe and pickax
        the right way to spell it IMHO ;B
        (objnam.c)
-enchant armour catches negative enchantments as per positive enchants
        for those silly people who try to enchant beyond -127.  Now paralels
        the +ve case.
        (read.c)
-Since everyone should be in the credits,  I've shortened the
        intro screen and and modified the copyright banners
        (wintty.c, patchlev.h)                
-added Nathan La to the credits.  Reordered the credits properly so that
        SLASH'EM came after SLASH (silly boo-boo)
        (guideboo.mn, guideboo.tex, guideboo.txt)
-mall level now has at least one guaranteed (random) shop.
        (mall-1.des, mall-2.des)
-bug fix:  if polymorphed into a form that hates silver or a lycanthrope,
        "silver sears your flesh" and dmg bonus done properly (mhitu.c)
        [used to be only class 'L' players were checked,  and only for
        lycanthrope.  Now follows hates_silver and lycanthrope check]
-breaking wand of death will create a "sphere of death" rather than
        disintegration field (explode.c)
-Fixed the stat.h reference in files.c - should fix a Linux bug
-replaced nethack references/e-mail in junk mail with my e-mail
        and SLASH'EM ver number (mail.c)
-wishing now accepts abbreviations (BoH == Bag of Holding)
        (objnam.c)
-minor update to text documentation (guideboo.txt, slashem.txt)
-hit messages for monsters using beam weapons fixed e.g. yellow dragon
        acid breath (zap.c)
-monks can start with a spellbook of protection rather than force bolt
        (u_init.c)
-generic direction prompt has a list of possible directions, to match
        the digging prompt. (cmd.c)
-fixed the score display on the bottom line. Score should now show up
        only once, and only if showscore is TRUE in the config
-fixed the Xp display.  the showexp option is now active again
-the [xx dmg] and (xx dmg) are now activated by the showdmg config option
        (hack.c, uhitm.c, mhitu.c, options.c, flag.h, makedefs.c, config.h
        guideboo.tex, guideboo.mn, guideboo.txt)

ver 0.0.3E0 [Jan 30 1998]
-Added new names for various Doppelganger levels
        -Copier x3, Shifter x2, Changer x2,  Adept Changer, Master Changer
        -now Copier, Duplicator, Modifier, Shifter, Clone, Reshaper,
         Manipulator, Adept Changer, Master/Mistress of Forms
         (botl.c)
-Monsters have more (default) inventory (makemon.c)
        -Hobbits (monster) with slings also have rocks to throw now ;B 
                -have a chance of wearing leather armour if not
                        wearing elven mithril
        -Ogres get clubs if they don't have axes
        -All orcs have at least an orcish dagger
        -Mordor Orcs get 1:3 chance of getting orcish spears
        -Goblins get orcish shortsword 1:3
        -Hobgoblins get either morning star 1:3 or 1:3 orcish short sword
        -kobolds get javelins 1:4 or darts, short sword 1:4 or dagger
        -mind flayers get robes 1:2
        -master mind flayers get robes of protection 1:10, robes of power
                1:10 or else robes 
-you get the [xx pts.] damage report from all calls to losehp()
        eg thrown weapon damage
        (hack.c)
-if invisible and teleported into a shop,  you are allowed to leave
        (shk.c)
-when polymorphing - "feel like a new elf/man/woman"  now added gnomes
        -as well, gnomes polymorphing into gnomes become new gnomes
        (polyself.c)
-Reworked the monk attack code again. (uhitm.c)
        -Bug fix:  Monks should now gain experience in martial arts
        -All martial arts users get extra damage,  Monks can just
                do more damage (eventually)
     Martial Arts and:
        Monk and Grand Master   6d4
        Grand Master            5d4
        Master                  4d4
        etc....
        Basic                   1d4
-Undead Slayer inventory changed (u_init.c)
        -now starts with wooden stakes
        -matched with whip +2 or silver spear [Castlevania] 25%/25%
                or crossbow [Buffy] 50%
        -silver daggers or crossbow bolts
        -helmet or low boots +1
        -chain mail or leather jacket +1
-reworked kicking damage
        -includes bonuses due to +ses on boot
        -kicking boots,  rings of damage, +ses will do (some) damage
                against thickskinned animals (eg dragons)
        (dokick.c)        
-made bare handed combat and martial arts separate skills
        (you.h, weapon.c)
-wooden stakes now use the dagger weapon skill,  and are piercing weapons.
        -if you are an expert with the dagger or an undead slayer
                have a chance at plunging the stake into the heart of the
                vampire,  which will kill it instantly and vape the corpse
                (uhitm.c)
-Gnomes start with more equipment:
        -short sword, aklys, hammer
        -crossbow or sling w/ bolts or rocks
-Flame/Ice Mages, Necromancers start with +1 blessed quarterstaves,
        spellbook force bolt
        (u_init.c)
-pets will no longer eat own species unless starving.
        (dog.c)
-reworked the weapon swapping code
        -quiver,  secondary weapons init properly (u_init.c)
        -no weird inventory names when failing to swap to a 2-handed weapon
                from a single weapon and shield 
        (wield.c)
-DOS binaries now compiled using PGCC 1.0.1
-the tile files are now "absorbed" into NHDAT.  The files
        *.tib are redundant now ;B.
        (dlb.c, dlb.h, pctiles.c)
-bug fix:
        -FATAL BUG fixed: ball and chain on Water Level (Endgame) used
                to cause crashing (dungeon collapsing)
                Fixed. (mkmaze.c)
        -MAJOR bug:-The game used to crash if you hit esc, space in
               the spelluser's special ability menu. Fixed (spell.c)
                -spellusers' special abilities should no longer crash/
                        cause errors. (spell.c, cmd.c)
        -fixed healing spells showing up with a class "restore"
                in Zap menu.  now "healing" (spell.c)
        -bug fix: Shopkeeper will get mad at people escaping the shop
                even if unable to stop them from leaving or grabbing their
                backpacks
                (shk.c)
        -Wearing a wielded ring will take it out of your hand
                You used to be able to both wield and wear a ring
                (do_wear.c)
        -the "new strength" message has been disabled (u_init.c)
-Candle of Eternal Flame now has an eternal flame
        -fixed the "partly used" in description
        (artifact.c, apply.c)
-In the shopkeeper's menu,  'uncurse' is now spelled correctly (shk.c)
-noartifactwish (defined by default) now stops ALL artifact wishing
        -undefining noartifactwish will let you wish for limited
        artifacts (objnam.c)

ver 0.0.2E9 [Jan 17 1997]
-included CWSDPMI (for the pure DOS users)
-binaries now compiled with PGCC 1.0
        -NOTE to PGCC users:
                -To get this going, I had to stubedit the PGCC cc1.exe
                 to a stack size of 768k from 256k
                -The stack size of the the DJGPP cc1.exe is 768k
        -This binary is now Pentium optimized,  with an optimization
         level of O6 (for those of you who don't use PGCC,  that's
         the maximum optimization.  To compare, gcc was optimizing
         before at O2.  The original makefile optimized at O1)
         (makefile.gcc)
-Added Skill type headings in the skills list (weapon.c)
-wand beams will now clear when bouncing back,  so that you can see the
        bounce (zap.c)
-wands of lightning will always explode if used underwater,  except
        if the wand is blessed. (zap.c)
-cursed wands will blow up MUCH more frequently
        -explosion is done similar to breaking the wand
        (zap.c, apply.c)
-Sunsword,  Holy Spear of light are now a light source
        -slight bug - once created,  they are NEVER deleted (just hidden)
                -It's not really a problem, as you can't turn them off ;B
                -only minor thing is if there end up being a lot of artifact
                 lights,  this could become quite draining on resources for
                 slower comps.
        (artifact.c, mkobj.c, light.c)
-Toned down the monk.  He got to be a bit powerful at high levels.
        -His base damage is maxxed at level 16 (6d4 + 2) (uhitm.c)
        -max AC bonus of -11 (due to level) (do_wear.c)
-fixed makedefs -f to not use strlwr.  Changed some defines.(makedefs.c)
-weapons/objects with names that have "holy" in them can be wished for
        (mostly artifacts).  Holy no longer means blessed (objnam.c)
-old feature:  changed the name of some constants
        -weapon.c, you.h,  spell.c, u_init.c
-added explosion tiles/colored chars for lightning and death/disintegration
        (lightning is white, death is grey on tty nontile)
        (other.txt, explode.c, rm.h, drawing.c)
-Necromancers start with quarterstaff (u_init.c)
-redid the bouncing code so that bounzing 'zaps' don't go into walls.  Looks
        nicer ;B (zap.c)
-bug fix:
        -plugged up an object leak in studyspell (spell.c)
        -make spotless now deletes the filename.h (since it will be generated
                automatically by makedefs) (makefile)
        -problem with spellcasters starting with a blank spell read.(u_init.c)
        -explosions are properly clipped for walls/corridors (explode.c)
-Flame Mages,  Ice Mages, Necromancer get Wizard bonus for breaking wands
        -(damage /10)
        (explode.c)
-light sourcing for effects
        -light sourced zap, explosion for lightning and fire spells
        -light sourced camera flash
        -could be computer intensive, so I made it a compile-time option
                -#define LIGHT_SRC_SPELL in config.h
        -this had better work...tough to implement!
                -I had to add another light source type - LS_TEMP
        -BTW, I went to the elemental plane of fire and stressed tested the
                light sourcing code.  Thing still flies on the Pentium.  I
                do have to note that the "on-the-fly" light sourcing is
                very neat.  Kudos to the person who did the vision system ;B
        (vision.c, zap.c, explode.c, config.h, vision.h, display.c)
-executables now compressed with DJP  - exe is a little less than half
 previous size! (makefile)
-when invoked from cmd line with -?, etc,  usage no longer includes .exe after
 game name
        -stubedit now supplies an argv0 w/o .exe
        argv0=$(GAME) [in (makefile)]
-when blind,  differentiates between nearby and distant zaps
        (muse.c)

ver 0.0.2E8 [Jan/07/1998]
-Flame/Ice Mages have weapon skills severely curtailed.
        -Flame Mages now use primarily small-medium blades
        -Ice mages use stabbing(piercing) weapons
        -neither have any more ability in bows, etc.
        (u_init.c)
-fireballs are now bolts rather than streams (spell.c)
-the FAQ has been updated with the NHPlus changes.  It should now cover
        nearly all the changes due to SLASH (and its predecessor NHPLus)
        and Wizard patch. (slamfaq.txt)
-increased lights/fire vortex to cast light at range 3,  fire elementals
        at range of 2. Since my computer just zips through SLASHEM,
        mail me if you encounter performance problems. (mondata.h)
-The vision tables are now defined.  Supposed Performance boost (I can't
        tell...This game always flew on this comp) (config.h)
-config file is now SLASHEM.cnf.
        -makedefs now constructs filename.h using -f which defines filenames
                -actual game name is in patchlev.h
        -affects the config file,  tile files
        (filename.h [new file in \include], file.h (new file in [\include],
        files.c, makedefs.c, patchlev.h)
-blessed scrolls of genocide now have menusystem.  access by typing '?'
        (read.c)
-added message for monsters clawing- now "claws you!" rather than just "hits!"
        (mhitu.c)
-bug squash: (mostly from reading old r.g.r.n news)
        -'a'pplying wand of fireball now has correct effect
                as well, applying a wand of fire or fireball does NOT
                identify the wand,  but does as if you wish to name it
                (apply.c)
        -genocided monsters wearing amulet of lifesaving but not
                visible no longer generate a message.
                (mon.c [lifesaved_monster])
        -rust monsters now work properly - will only attack nonmetal items
                or your main body.  (mhitu.c [hurtarmor])
        -elbereth engraving now repels monsters again.  If you don't want to
                use it, just remove the define elbereth/don't use it ;B
                (mon.c, monmove.c)
        -"pile of coins" message for evil food and "piece of food"  for evil
                food mixup fixed. (drawing.c)
        -handling of riders and disintegration (especially Death) improved
                -riders were absorbing disintegration blasts
                -Death was getting HP reduced to 1
                        -Death now gains HP as per original code
                (zap.c)
-F1 now invokes help (pckeys.c)
-setup.bat now copies makefile.doc to the doc directory (setup.bat)
-optimized compiling now.  Compiler uses -O2 compiling rather than -O
        -Linker uses -s,  removing symbol tables
        -.exes are smaller,  supposedly faster.
        (makefile.gcc/makefile)
-failed stealing, most special abilities now take a turn (cmd.c)
-silver daggers are now piercing weapons ie. can now be thrown w/o
        penalty.  (objects.c)
-players start with spells in spellbooks memorized. (spell.c, u_init.c)
-players now start with secondary weapons wielded,  ammunition in
        quiver (u_init.c)
-pressing ^P twice consecutively will bring up message history
        tty port only.
        (topl.c)
-the shell was accidentally commented out (PC ports)
        Can now shell out to commmand.com, etc.
        (pcconf.h)
-executable is now slashem.exe,  with a corresponding
        slashem.txt based off nethack.txt,command line help, etc.
        (makefile.doc, slashem.6, makefile, pcmain.c)
-can access guidebook from help menu (pager.c, global.h)
-monsters can now use wand of fireball (zap.c, muse.c)
-makefile now moves the readme to the game dir (makefile)

ver 0.0.2E7 [Dec/20/1997]
-added history of SLASH'EM and predecessors
        -SLASH, Wizard, Nethack Plus, Nethack--(history, guidebook.mn)
-begun updating documentation
        -added keyboard commands (M-b, M-e, M-k, M-q, M-y, Q, x, f)
                -synchronized with help files 
        -Options (keep_savefile, save_prompt)
        -Character bios for the slash classes
        -added more info on #enhance (weapon+spells)
        -weapon swapping, quiver/fire
        (guidebook.mn,  guidebook.tex,  help, cmdhelp, hh, msdoshlp.txt) 
-Added makefiles for the documentation. Note that to compile the .txt docs
        you either need GNU Groff (DJGPP has a port) or nroff and col
        (makefile.doc)
-discovered that makefiles require real tabs, and EDIT doesn't do tabs.
        Looks like a job for NOTEPAD ;B 
-version display registers borg,  invisible objects, keep_save and
        noartifactwish compile-time options (makedefs.c)
-changed the prompt in monster special power to "You aren't a monster"
        rather than "you don't have a special ability"  since SLASH
        characters have special class effects.(cmd.c)
-keep savefile compile time option
        -grouped under #define KEEP_SAVE (config.h)
                comment out to compile without this option.
        -keep_savefiles [FALSE]
                This is a bit controversial,  but it defaults to FALSE and
                purists will play it that way,  for the true challenge.
                (files.c, options.c, flag.h, opthelp)
        -save_prompt [FALSE]
                Only useful with above defined TRUE.  Prompts for quit after
                save. (save.c, options.c, flag.h, opthelp)
                NOTE:  This is experimental,  so I wouldn't mind feedback
                on whether it works.  Mail me! (wac@intergate.bc.ca)
-Changed some skills for Undead Slayer class (u_init.c)
        -made spear skill Expert rather than Skilled
              Slayer artifact is a spear,  after all
        -made dagger skill expert too,  since it's a starting weapon
        -made crossbow skill Expert - Dracula movies
        -changed bare handed basic to martial arts master
                - Buffy the Vampire Slayer
        -Added whip Expert - Castlevania
        -made club, flail, mace, morning star, hammer, quarterstaff Skilled
                from Expert to balance
        -removed Trident skill - from Skilled to Restricted
        -removed Lance skill - from Basic to Restricted
-fixed the offsets for #enhance skills screen (added missing brackets).
        #enhance screen should be now properly aligned even when there
        are some skills available to advance. (weapon.c)
-fixed the engulfing colors (my mistake..i turned some of them blue)
        (other.txt)
-when summoning undead,  people who know how to command undead will
        automatically cast that as well. (read.c)
-'E','U','V' special ability also practices the with weapon. Increased
        the delay between uses as balance. (cmd.c, weapon.c)
-'A' now has the identification ability. (the old spellcaster special
        ability). He recognises objects from past research.  (cmd.c)
-'N','F','I' and 'W' special ability is now study spells.  Saves wear
        and tear on those spellbooks. (cmd.c)
-bug fixes for 'Slashing ability'
        - you can't extend claws when 'L' and polymorphed.  Think of it
        as needing your "human" bone structure. (cmd.c)
        -retract claws when swapping to a weapon. (wield.c)
        -message is now "fingernails extending to claws"
                Thanks Ben Newall (ben@eki.com) (cmd.c)
-In #enhance skills menu - will keep calling the menu if you can enhance
        more than one skill. Saw a comment at the top and implemented it.
        (weapon.c)
-Added "yell"  preceding successful megafireball cast.  "Kamehameha" for
        magic missile,  "Shinkuu Hadouken" for fireball and
        "Gessho Suityaha" for cone of cold. (Now, where could these
        have come from.  Haven't been playing SF vs Xmen/Samurai Shodown ;B )
        (zap.c) Actually, I wouldn't mind more
        appropriate "yells" (esp for cone of cold). Feel free to submit.
-In Wizard MODE: can now advance skills without practice.  For debugging
        the fireballs (Yeah right ;B) #enhance will now prompt for whether
        you want to advance skills without practice. (weapon.c)

ver 0.0.2E6 [Dec/09/97]
-fixed the wand of fireball zapping green.  It should now be a more "normal"
        red. (zap.c)
-Added a magenta magical explosion.  Note that the cold explosion,  magical
        explosions are also visible as different colored ASCII characters
        for those of you who use colored IBM char set.  If you use b&w,
        this won't change much. (explode.c,  rm.h, drawing.c)
-fixed some silly glyph things: whenever a shield glpyh/tile came on
        during an explosion,  Nethack would replace it with a normal
        explosion glyph - even if it was a cold explosion.  (explode.c)
-Added Mega Magic Missile/Fireball/Cone of cold:
                For those who complain that spells
        just aren't powerful enough,  here's the spells for you.  When
        a wizard is skilled in matter spells, he will no longer cast
        wimpy wandlike bolts of fire/cold/magic missiles.  
        He will fire a blast 3 times as large and 3x as strong.
        These are powerful spells - do not play with these!
        --As a technical note, what I've done is taken a standard
                fire/cold bolt/magmissile and caused it to explode
                every step of the way...
        (spell.c, zap.c, explode.c)
        As a matter of note,  I hope to add "enhanced" versions of all the
        spells,  but I wouldn't mind any suggestions.
        I'll probably put the old super fireball/cones in as spells.
-fixed the explosions...I had accidentally replaced the normal fire
        explosions with the cold explosion tiles. (other.txt)
-'L' now has a new special ability - slash!  Based loosely off Wolverine's
        Berserker Barrage (arcade ;B),  you have to be empty handed to use.
        When you attack your next enemy,  you will go into a similar state
        as when you go berserk,  except the enemy can't hit you back.
        Note that you have to land a hit before the barrage starts,  and
        while you're attacking,  you can still be hit by other monsters.
        If you wield a weapon,  you will retract your claws.
        (timeout.c, uhitm.c, cmd.c, wield.c)
-Added timeout message for special abilities 'S', 'B', 'L' (timeout.c)
-Dirk Schönberger is proud to present you with another set of tiles!
        (monsters.txt)

ver 0.0.2E5 [Nov/22/97]
-Added even more of Dirk Schönberger (shoenberger@signsoft.com)'s
        monster tiles!  The ghouls no longer look like ogres! As a
        bonus,  dotted the o in his name now!
        (monsters.txt)               
-Magic users' special class effect now calls the standard identify
        routines (cmd.c)
-undead can now resist Command Undead spell - message now for successful
        commanding (read.c)
-Necronomancers have a chance to command undead when summoning undead
        -spell + scroll (read.c)

ver 0.0.2E4 [Nov/15/97]
-Shopkeepers can now improve your tool-weapons (ie unicorn horns,
        pick-axes can be enchanted/rustproofed/poisoned) (shk.c, invent.c)
-Added Dirk Schönberger (shoenberger@signsoft.com)'s new monster tiles!
        LOTS and LOTS of additions - Thanks Dirk!! (monster.txt)
-Added poison blast [attack], acid stream spells [matter]
        (objects.txt, objects.c, spell.c, zap.c)
-Valkyries' special spell is now Lightning, rather than cone of cold
        (u_init.c)
-Master key of Thievery should not break off in locks anymore!
        (Side Note:  This ISN'T true of the Platinum Yendorian
        Express Card...) (lock.c)

ver 0.0.2E3 [Nov/08/1997]
-Added bolt of lightning spell/tile for spellbook (HI_PAPER spellbook)!
        (Side note - to prevent problems in recompile whenever new tiles
        or objects are added,  touch *.* in the src/ directory)
        (objects.c, spell.c, zap.c, objects.txt)
-'W'ear command now puts on amulets, rings and blindfolds.
-Once you are "skilled" in a certain spell class, all effects paralleling
        scrolls act the same as blessed scrolls (all spells, rather than
        just remove curse) (spell.c)
-healing spell class bonus applied to the general healing spell class
        rather than specific spells
-Fixed credits again!  Added Warwick Allison (warwick@cs.uq.edu.au)
        (readme.txt - this file!, wintty.c)
-Changed version number to fit Nethack scheme (patchlev.h)
-fixed keys in dos help file  - added/fixed alt keys for quit,
        skills, class effects(msdoshlp.txt) (you may need to delete nhdat
        to force a recompile of the help file)

ver 0.22 [Nov/05/1997]
-made menu accelerators for character class, alignment and gender lowercase (wintty.c, u_init.c)
-added menu for Shopkeepers for other services (shk.c)
-Necromancers are now Chaotic - raising the dead isn't exactly "neutral" (u_init.c)
-Necromancers now have force bolt rather than turn undead. (u_init.c)
-fixed a bug in the new menus - forgot to dismiss the windows. (u_init.c, wintty.c)

ver 0.21 [Nov/04/1997]
-Added tiles for cone of cold explosion. (drawing.c, other.txt, rm.h, explode.c)
-Knights are given Alignment Lawful.  used to be Neutral?? (u_init.c)
-Figured out how the menus work!  Now you get a nice menu for choosing
        character class (wintty.c), gender and alignment (u_init.c).
-Added initial spell skills for Flame, Ice Mage,  Monk and Necronomancer
        (weapon.c)

ver 0.2 [Nov/02/1997]
-Added and Revised spell skills for all the classes - skills should now
        make sense.   (u_init.c)
-Added spell skills for Caveman - stupid omission (u_init.c)
-reorganised spells - hopefully the organisation is more understandable
        (spell.c)
-"fixed" offsets for "Z"ap columns - do they look right? (spell.c)
-fixed the credits.  The e-mail for bug reports is now corrected on the
        main screen (wintty.c)

ver 0.1 [Nov/01/1997]
-Just released!
-As far as I know,  I've pretty much implemented all the features of 
the Wizard patch onto Slash E8 (except for the decreased power regeneration)
-Changed files (from SLASH E8):
        extern.h, spell.h, you.h, allmain.c, apply.c, attrib.c , do_wear.c,
        dokick.c, objects.c, pray.c, spell.c, u_init.c, uhitm.c, weapon.c,
        zap.c

+-------------------------------+
| Section 2: Warren's Storytime |
+-------------------------------+

The tale of Nethack and I really doesn't go too far back.  I remember
downloading an old version of Nethack off some BBS way back in my early
high school years.  Played it a couple times,  was wiped out really fast
most of the time.  Made it to the Gnomish mines.  Must have been 3.1.3.
Ran into Alphaman and a couple other roguelikes.  Got deleted sometime.

Early in Grade 11,  I was poking around and I stumbled upon BW's (no,
I'm not going to spell it wrong ;B) Nethack pages.  Found 3.2.2,  and
played it for a while.  Good fun,  and the tiles let me know at a glance
I was pounding away at,  but I was playing around with QuakeC,  so I
figured I may as well put my little install of DJGPP to good use.
Downloaded the sources,  figured out how to fix the DOS makefile.  Made
one change,  got bored,  and it got lost the next time my HD needed
pruning.

Sometime at the beginning of 1997 (my graduating year),  I ran into
Nethack again.  BW's page was still standing,  and I got the game and
the source.  Ran amok a couple links,  and came across Darren Hebden's
Roguelike News page.  Was reading some news items,  and thought to
myself

"Hey!  How come it's all this Angband stuff?   I can't even stand
playing Angband for more than 30 seconds. (Must have been that runin
with the room filled with lice).  Where's the Nethack mods?"

So with a little poking around,  I came across SLASH V6 4.1.2E8 and the
Wizard Patch.  They both looked neat.  I wanted both.

Correction.  I wanted both,  AND I wanted myself on the news page.
Phew!  Finally got that off my conscience.  Yes,  this labour of love
was also spurred by an odd initial self-centered desire to get some
fame.

So I made SLASH'EM.  Actually,  I tried patching the Wizard Patch onto
the SLASH ported to Nethack 3.2.2 source.  Failure.  Sources were too
different.  About a hundred incompatible chunks.  Gave up,  and put it
away.  Then,  one strange night,  I was REALLY BORED.  So I did the
patch by hand.  By the end of it,  I was almost 100% sure it would
explode.

I had to fix a couple typos.  It compiled.  It ran.  SLASH'EM was born.
This was probably where SLASH'EM probably would have died.  With an
incredible dash of luck,  it all somehow worked.  Despite the fact the
two weren't designed to mix.  Despite the fact that I'd never done C
programming before.

Yes.  Nethack was actually my pounding block for learning the C programming
language.  Scary,  neh?  I learned a lot.  Not much terminology - but it's
come to the point that most things work all right.  New features
actually being implemented.  For those wondering, before Nethack and real C,
I did BASIC programming (various versions)  and some QuakeC.  

Not too long after,  I was actually adding features.  Original
stuff.  Spur of the moment additions.  Bug fixes.

Sometimes,  things were touch and go.  There was the time I was trying to
add light sourced spells.  That was supposed to be a couple hours.
I broke the entire zap code.  But the thing is - if I'm halfway in,  I'll
generally finish the job.  Just because it would be a waste of my time if
I gave up.

Then,  somewhere along the way,  other people actually played it.  I
started getting bug reports.  People actually saying good things.  People
telling me every other version that yes - the boulder bug is back ;B

Actually,  if it hadn't been for the fact I'd get a message every week
or so from someone different telling me about some bug,  thanking me for
making the game,  this probably would have died eons ago.  The SLASH'EM
page gets tons more hits than my actual personal webpage ;B

It taught me C programming.  It taught me that there is actually a
community of people out there who are awfully nice,  even though half a
dozen posts a week to their message board concern computer hacking.

I'm now a 2nd year university student at the University of British
Columbia.  Looks like I'm going to do an Honours in Microbiology -
Immunology Option.  Haven't ever taken a computer course yet,  although
I plan on doing the 1st year Compsci courses this summer.  I play
SLASH'EM in the time I should probably be studying and doing homework.
I've never gotten to Medusa,  let alone ascended,  without using Wizard
mode.

Anyhow,  this ended up awfully longwinded and probably very boring.  But
hopefully,  this'll encourage anybody with their little Nethack dream to
never stop suggesting their ideas,  or going out and making their
patch.  It could happen.

Plus,  now you know why every other SLASH'EM version crashes terribly :B

Happy Hacking!

+-----------------------------------+
| Section 3: Warren's doomed agenda |
+-----------------------------------+

This section contains Warren's ideas, unchanged since he last updated them.
It seems unlikely that many of them will ever come to fruition, but you
never know...

3.1 Messy TODO/TOFIX list
-------------------------

Please note that these are current ideas that may make no sense in their
current note form,  but *may* be implemented at a future date.

-monster players?
-trample with jump?
-push splat with boulder
-allow lifesaving if in high favor with god?
-pull dog through closed doors with leash
-Angband easy patch stuffs add?
-hypernutritious food?
-sleep
-force door - shoulder
-chatting == buy and sell?
-some way of determining weapon alignment for artys?
        -probing?
        -appraisal?
-bug? pack rats stealing large objs?
-wish for intrinsics
-make sleep resist quest nemeses?
-monster infight (eg. elves & orcs)
-mixed type monster groups
-id stones from stones on ring?
-'_' multirest?
-more accurate appraisal?
-shopkeepers cheating when shouldn't?
-engulfers picking up candle of eternal flame will put it out :(
-eating nutritious food exercise con?
-Chocobo's (for Darren Hebden ;B)
-fishing pole hitting toilets,  etc.  special cases ;B
-applying spellbooks ripping into scrolls
-pantheons - more elaborate pray/etc.?  Selectable?
-text parsing conversations?  Improved #chatting
-smell object trail?
-docs revamp/help system
-Allegro library port in progress.  Need to figure out how to draw tiles...
-mouse code started (pckeys.c,  video.c)
-vampire <==> vampire bat
-gnome - always slip through cracks? innate digging?  tame related creatures?
-gas spores killing - leaving corspses that can sprout gas spores?
-skilled at polearms - no close combat penalty?
-bloodblade - weapon that draws blood every X turns when wielded
-celebrity bones piles
-sewars/pipes access through sinks..
-arc lightning! (radial,  random dir)
-shatter weapon spell?
-pet integration...
-scroll of genocide -> ungenocide...
-tinning kits not charging?
-gas spore explosions are now poison gas (explode.c, monst.c, mon.c)
-sometimes able to choose aligns for roles that shouldn't allow align choose?
-Tourist - no techs?
-zap spells centered on player?
-succubi msgs?  Commented out code?
-monks -disarm?	
-eggs of winter wolf?!!
-SIGIL - damage
-veggies?  Grow?  Garden :B
-Hmm...timing out players turned into undead?
-anti teleport?
-Jedi, orc classes?
-do the race class thing?
-Use tech menu to invoke monster attacks
-incorrect random align chosen?
-shout "Spoon, evildoers!"
-drain life to actually drain life - uhitm, mhitm, mhitu, spell ?
-heat eye beams ;B  F-mage start tech?
-#helper
-do wax golems melting via fire?  Monsters special AD hit effects?
	-AD_FIRE attack?
-check unicorns catching glass
-glass golem glass launcher?
-D -poly weapons
-monks/martial arts - severe penalties for encumberance
-use percent-success in spell.c for chance/ combine with mods....
	-make spellcasting easier, but harder on power
	-wizards might need to get their spellcasting base fixed...
-meteor (use scroll of earth code)/armageddon
-fix monsters jumping through doors
-save ==> use the leve change paranoia stuff?
Just a few things I'd like to see.  Take the suggestions as you will.
Feel free to comment.

Have becoming Grand Master in martial arts give something extra.  As
far as I know it does not besides increasing unarmed damage.  Perhaps
the occaisional stunning blow at Master level, and at Grand Master,
perhaps the Touch of Death, usable about as often as one can invoke
artifacts, but only performable while bare-handed.  
(orlando de la cruz)
-Have Japanese versions of pancake be okonomiyaki, and club be bokken
(wooden practice sword).

-Have Offler become angry with you if you sacrifice a crocodile corpse
(he is the crocodile god, after all).
-unicorns ==> _horse corpse_ and horn? Then what about sacrificing unicorns?
	-how about unicorn corpse can be applied to obtain to get horse corpse 
	and horn
-Dopp and item generation - on existing items??  Or self generate?
-boots of kicking should bust down chests,  etc.
-weapons will "advance"?  Class change thing from FF?
-make race a separate field - get rid of all those is_foo()...
-make modifiers to movement keys do different strength attacks
-auto-enhance skills?  Prompt? 
-make it possible to finish the game - no "dead ends",  more choices.
	-eg. ignore quest - ironman mode ;) 
-invisible blindfold 
-spellbooks still need tiles (ochre)  and 3 others... should get 
-get tiles == description thing working again.  Monster Tiles :  Smaug, Thorin
-fix tamed water demon chat (??? How?)
-finish prayer upgrades
-detonate wands via spell - random aps in all dirs :)
-wish for attributes (str, luck, dex, etc.)
-use 'n' for multi-dig
-statuetraps activate multiple statues?
-stairs /w lots of items at base need "stairway here" message.
-more shop types?  Jewellers,  magic shop...
-elemental/demon/angel summoning - time-limited summoning? Use poly code?
-check for monster bullwhip and adjacent
-spells - summon lights
-Give small dmg bonus for wearing rings in H to H combat?
-cleanup -dropx, useupf
	-check for donning
	- foo_off, foo_gone, etc...
-check rehumanize
-generate animals as upset pets (that need to tamed?) ?
-priests for quest altars?
-implement magical armors (eg BDSM) for monsters
-one-eyed sam comes back?  Who takes care of blackmarket after he passes on?
-frozen steed easier to mount?
-food distrib?  Make corpses have variable timeouts rather than prob of corpse?
-limit # of Titans to 12?  (6 male, 6 female,  minus Prometheus and Atlas)
There appear to be many many Titans....
	-Cronus, Rhea
	-Iapetus and Themis, 
	-Oceanus and Tethys, 
	-Hyperion and Theia, 
	-Crius and Mnemosyne, 
	-Coeus and Phoebe
------------------------
	-TODO:finish god_gives_benefit code ;)
	-TODO-make ROPoly timed? charges?
	-TODO make all lightsaber code ifdef
	-FIXUP - Dark Elves - dual scimitars? Crossbow?
	-monster read scroll of taming vs pets ;)
	-Bug? pools of water kills DEATH?/riders
	-Tourist tech - detect stairwells
	-more endgames - journey to center of the earth 
		(end with throwing the amulet away à la Lord of the Rings)
		-kill a rider and take its place.
		-"Arcadia" instead of Gehemmon
-use obj->spe for spell level?
-tone down dmg for gun weapons? 
-C4, plastique
-woodchucks passing through walls(intentional),  xorn passing through trees! ;)
-Xorn tunnelling up/down?
-timeout genocide...monsters come back (explaining why people keep writing dem 
	scrolls ;) Angrier?
-"*" + "c" == doswapwep or twoweapon?
-artifact trident vs water
-monsters laying eggs in spare time?
-Hobbit "Teleportitis"
-instant_death, quick_death...??
-body armors - Kevlar(R), Twaron(R), Spectra Shield(R), Gold Flex(TM)
-dragon scale shields
-key redefinition
-use energy to absorb damage
-file of character stats at death/ingame
	-list inventory, stats
	-ethics(death only) genocides (death only)
-fainted == can't see 
-vampire bat needs to be a vampire - how are weres handled?
-god sends monadic deva - bug?
-map PMs, Onames to strings? - would involve finding all the PM refs
			-corpses, monster type, your monster type
			-unpoly mon & obj
-eaten corpses coming back with mucho HP
-weapons progression?  Different types of normal attacks? apply gems onto weapons?
	-apply gems == crush for effects?
		-DILITHIUM_CRYSTAL	Energy source in Star Trek
		-DIAMOND	-Invulnerable vs Undead
		-RUBY 		-good luck
		-JACINTH 	-luck in travelling, vs plague, ward vs fire
		-SAPPHIRE	-aids understanding problems, kills spiders
		-BLACK_OPAL	?  (Death)
		-EMERALD	?  (Nature? Regen? Heal?)
		-TURQUOISE	-aids horses in all ways, shatters when used.
		-CITRINE	?  -neutral attitude, rational thought. Cheerful
					(vs Mind attack?)
		-AQUAMARINE	?  (Water - Magical breathing?)
		-AMBER		vs disease
		-TOPAZ		vs evil spells
		-JET		soul object
		-OPAL		?
		-CHRYSOBERYL 	wards off foes (Warning?)
		-GARNET		?
		-AMETHYST 	prevent drunkenness, drugging
		-JASPER		vs venom
		-FLUORITE	?
		-OBSIDIAN	?
		-AGATE		-restful, safe sleep.
		-JADE	skill at music, musical instruments
	Color relations?
		Black	The Void, darkness, negation, blindness.
		Brown	The Earth, fertility, comfort, sleep.
		Blue	The Heavens, the sky, air, truth, spirituality, calmness.
		Clear	The Sun, luck, awareness, insight.
		Green	Venus, reproduction, sexuality, sight, resurrection, jealousy
		Orange	Mercury, heat, quickness, wisdom.
		Red	Mars, blood, war, fire, madness.
		Violet	Royalty, health, friendliness.
		White	The Moon, purity, virginity, hope, enigmas.
		Yellow	Secrecy, homeopathy, jaundice, diseases, cowardice.
-splinter attack
-races - vampires, liches (like elf but low char), demons...
-make all source files 8.3 so that SHORT_FILENAMES so no truncating filenames
-stackwep (e.g. marilith wield 6 daggers)

3.2 What's NEW
--------------

Bug - able to kick things out of an unseen pit?
Bug - mold from  molded corpse should no longer have the name of corpse?
Bug - obj_is_local problem?
Bug - flame spheres attack cause crash?
	-flame spheres and shopkeepers...
Bug - throwing or wielding silver while a were doesn't affect you / monsters?
Bug - not getting "you hear noises" when pet attacks but can see with telepathy?
Bug - graves in barracks?  No goodies when not randomly generated?
Bug - cockatrice lairs no longer have "goodies"?

-ToAdd:  Control amount of eating with 'n'

-are meat-foo always delicious to any non hervivore? 
	(eg jackals,  undead, oozes?!)
-more rigorous check - make "has_blood" macro?
-should food be allowed to merge back in touchfood()?
-allow vampires to bite via #monster, turn into bats
-do the allegro botl split in the allegro code?
-undead should not be drinkable except vamps? 
	What about zombies, Frankenstein...
-sleep spell locking up - giving "sleepray hits newt?"
-Giantkiller - destroys boulders
-Thiefbane - extra damage based on stolen items
	-unpaid if shopkeeper
	-has your invlet if you wield...
-go through and do spfx for all the artis
-go through and do specials for (all) the monsters
-move the expanded tile detection to the txt library and use it to do
	on the fly interpolation when generating bitmap
-shops restock. Black market has at least 1 of every item
-can feel invisible objects when searching, blind
-remove encumber messges on startup
-fake object names for hallucinated objects (like monsters)
-mail daemon getting stuck? Too many monsters crowding?
-'%' command displays eaten corpses
	-need to track corpses known and eaten
	-give dopps a message to let them know they "remember" this polymorph
	-use this as a menu for polymorphing...
-implement gunblade
	-gunblade
		-two handed
		-gun aspect of a revolver (shorter range), 
			slightly weaker than a two handed sword
		-has own weapon skill
	-use apply to fire bullets AND slash (low bullet hit rate)
	-throw fires bullets alone
	-attack slashes alone
-reading invisible scrolls?
-"wizard need food badly" => different for vampires?
-turning into a werewolf in a shop -> shouldn't sell equip?
-back option for character creation TTY? - pretty tough, I think
-monsters should use "techniques" against you...pets using techniques
	-pet unicorns remove ailments, etc...
-Buy items via a menu - #chat with shopkeeper
-Limit Break based on HP loss? (see howling code)
-redo/add sound system using allegro
-split allegro into separate windowsystem after implementing use of GUI
-OR merge allegro to TTY / separate from DOS code
TODO: 
	-Do the Role/Race/Align/Gender Menusystem (WAC)
	-alleg_xputs should use const char (Strcpy then put up?)
*[In Progress] (Trying to) compile with Allegro WIP 3.9.32
	-anticipating using allegro on other systems
	-currently need to redo the font loading code (at least)
	-it appears to be segfaulting (randomly?)
-tofix: using the nethack config files.
-vampires shouldn't be allowed to become Flame Mages

3.3 Other Ideas
---------------

More things.   These are probably long-term goals...

-make all of slash'em ifdef! Probably not until Nethack 4.0 comes out ;B
-christmas! New Quests?
-trap doors lead to same place?
-Different sized levels (for custom levs)
-more quests (randomized - wipe out the xxx, save the xxx, etc.)
-scoring bonuses for /w pets based on # turns?
-OPTIONAL haggling
-pool of water, psi bolt, destroy armour (directable <g>)
        confusion, curse items
-Cleric:  insects/snake summon?, blindness, wounding, hold
-Drain life spell for Necromancer?
-more holidays, special days? (Thanksgiving, Christmas)
-level generator problem of 2 special levels on same level one of them
                unavailable - in the .des file?
                -due to .des file - overlapping branches
-"you caitliff"  message from knights final blow
                try knights vs mimics
-change dungeon map size (global.h ROWNO, COLNO)
-new map types?
-arena
-library
-polymorph abusive?
-training hall
-bar? hiring "pets"
-food with different timers in same slot?
-holy hand grenade of antioch?
-pets getting intrinsics/stun from corpses?
-"i see nobody there" when chatting + blind
        -should still be able to chat?
-various different types of lycanthropes?
        (u_init.c)
-do splash directions for oil
-burning fires
-eating...stop...attack gelat cube...frozen ... finally finished msg?
-score list:  average score,  by player,  total score, etc., by class
        (topten.c)
-not averaging age of food on pickup? (invent.c)
-various were types for Lycanthrope?
-shopkeepers blocking mons w/ pickaxes
        -defending players in shops
-watchmen defending players in towns?
-martial artists being able to catch projectiles at Expert skill?
        shield deflect shots?
-shopkeepers repair pits?
-druid, illusion
-gnome animal affinity, go through cracks?

from balance.txt
~~~~~~~~~~~~~~~~
The following will probably not be implemented until the command patch.

Each role will have designated first and second artifact gifts, and they
will be as easy to get as in NetHack.  The first gift should be a weak
artifact weapon or a non-weapon; the second should be a strong artifact
weapon.

# A different strategy could be used to make it harder to get a
  strong artifact.  Instead of altering the algorithm used for
  wishing and sacrificing in NetHack, more weak artifacts could be
  placed in well-defined places, making it harder to get an
  artifact later in the game.

# Spellcasting classes should get at least basic skill in all of the
  spell skills.

I should examine the newer monsters more carefully and modify or
eliminate the unbalancing ones.
# Some of the newer creatures should be assigned to the appropriate
  special level (e.g. rot worms only in the Wyrm Caverns), or to Gehennom.

# Introduce a disenchantment attack (affects your armor) and defense
  (affects your weapon).  This would be prevented by cancelling the monster
  or wearing a high cancellation factor, but not by magic resistance.
  Available only to monsters generated only in Gehennom, so it wouldn't
  appear until very late in the game.

# Acid attacks should have a chance of removing erosionproofing.

# Eliminate the "plus required to hit" and "hits as if plus" for various
  monsters.  That's already covered by other factors (AC, hit dice,
  damage ranges).

Pets.  Some have gone just too far.
? Is there a compelling reason for having more than one pet name
  option (e.g., dogname, catname, badgername)?

# Bullwhips may get a radius of 2.

# Silver wallets should only carry money and unlocking tools.  No
  changes are proposed for other containers.

Mummy wrappings, potions of see invisible, and probably some other
objects should not be allowed to be invisible objects.

A blessed potion of full healing should restore lost experience levels.

Many additions which I do not intend to discuss here, since they do
not relate to game balance.  I am not considering any more new items
or monsters for this patch.

